2003-02-05  Release Manager

	* GCC 3.2.2 Released.

2003-01-27  Alexandre Oliva  <aoliva@redhat.com>
 
 	* configure.in (toolexecdir, toolexecmainlibdir, toolexeclibdir):
 	Set and AC_SUBST.  Remove USE_LIBDIR conditional.
 	* Makefile.am (toolexecdir, toolexeclibdir): Don't override.
 	(toolexecmainlib_DATA): Renamed from toolexeclib_DATA.
 	* Makefile.in, configure: Rebuilt.
 
2003-01-24  Jakub Jelinek  <jakub@redhat.com>

	* include/x86_64-signal.h: Add -m32 support.

2003-01-10  Andrew Haley  <aph@redhat.com>

	* include/dwarf2-signal.h: Remove x86_64.
	* configure.host (x86_64 DIVIDESPEC): Remove.
	* include/x86_64-signal.h: New file.
	* configure.in: Regenerate.

2002-11-19  Release Manager

	* GCC 3.2.1 Released.

2002-10-24  Tom Tromey  <tromey@redhat.com>

	* java/lang/natRuntime.cc (_Jv_SetDLLSearchPath): New function.
	(_Jv_FindSymbolInExecutable): Removed argument name.
	* java/lang/natSystem.cc (init_properties): Call _Jv_SetDLLSearchPath
	if java.library.path is set.

	* gij.cc (help): Document --showversion.
	(version): Don't exit.
	(main): Handle --showversion.  Exit if --version given.

2002-10-07  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* Makefile.am (all-multi): Fix multilib parallel build.

2002-09-30  Bo Thorsen  <bo@suse.de>

	* sysdep/x86-64/locks.h (compare_and_swap): Fix multilib support.

2002-07-19  Bo Thorsen  <bo@berlioz.suse.de>

	* java/lang/ieeefp.h: Add x86-64 support.
	* configure.in: Likewise.
	* configure.host: Likewise.
	* configure: Regenerated.
	* sysdep/x86-64/locks.h: New file with x86-64 locks.

2002-05-29  Ulrich Weigand  <uweigand@de.ibm.com>

	* configure.host [s390*-linux*]: Set can_unwind_signal=yes.
	* configure.in [s390*-*-linux*]: Do not define HAVE_BACKTRACE.
	Set SIGNAL_HANDLER=include/s390-linux.h.
	* configure: Regenerate.
	* include/s390-linux.h: New file.

2002-04-29  Gerhard Tonn  <GerhardTonn@swol.de>

	* java/lang/ieeefp.h: Define __IEEE_BIG_ENDIAN for S/390.

2002-08-14  Release Manager

	* GCC 3.2 Released.

2002-07-25  Release Manager

	* GCC 3.1.1 Released.

2002-07-12  Jesse Rosenstock  <jmr@fulcrummicro.com>

	For PR libgcj/7292:
	* java/lang/Character.java (toString(char)): Now static.

2002-06-23  Tom Tromey  <tromey@redhat.com>

	* Makefile.in: Rebuilt.
	* Makefile.am ($(srcdir)/java/lang/Object.h,
	$(srcdir)/java/lang/Class.h): Added dummy targets.

2002-06-10  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* configure.host: Disable hash synchronization and slow_pthread_self
	for cygwin.

2002-06-06  Adam Megacz <adam@xwt.org>

        * java/io/natFileDescriptorWin32.cc (open): Disable Win32 file
        locking, just like the Sun JVM does.
	
2002-06-03  Mark Mitchell  <mark@codesourcery.com>
	
	2002-05-23  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>
	* Makefile.am (all-recursive): Depend on $all_java_class_files so that
	they build first.
	* Makefile.in: Rebuilt.

	2002-05-08  Mark Mitchell  <mark@codesourcery.com>
	* Makefile.am (all_java_source_files): New variable.
	(all_java_class_files): Likewise.
	.java.class: New rule.
	(CLEANFILES): Remove tmp-list.
	* Makefile.in: Regenerated.
	
2002-05-14  Release Manager

	* GCC 3.1 Released.

2002-05-14  Release Manager

	* GCC 3.1 Released.

2002-05-09  Jakub Jelinek  <jakub@redhat.com>

	* testsuite/lib/libjava.exp (libjava_arguments): Append all
	multilib dirs containing libgcc_s*.so.1 below gcc object dir to
	LD_LIBRARY_PATH.

2002-05-08  Alexandre Oliva  <aoliva@redhat.com>

	* configure.in (ORIGINAL_LD_FOR_MULTILIBS): Preserve LD at
	script entry, and set LD to it when configuring multilibs.
	* configure: Rebuilt.

2002-05-03  Alexandre Oliva  <aoliva@redhat.com>

	Suggested by Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
	* Makefile.am (jv_convert_LDADD): Bring -L.libs to the front.
	(gij_LDADD, rmic_LDADD, rmiregistry_LDADD): Likewise.
	* Makefile.in: Rebuilt.

2002-05-02  Hans Boehm <Hans_Boehm@hp.com>

	* include/dwarf2-signal.h (INIT_SEGV, INIT_FPE for ia64):
	use sigaction instead of __libc_sigaction.

2002-05-02  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* testsuite/lib/libjava.exp (libjava_find_spec): New function.
	(libjava_init): Use it to find libgcj.spec.
	(libjava_arguments): Likewise.

2002-05-02  David S. Miller  <davem@redhat.com>

	PR bootstrap/6525
	* include/dwarf2-signal.h (INIT_SEGV, INIT_FPE): Don't use
	__libc_sigaction on Sparc.

2002-04-25  David S. Miller  <davem@redhat.com>

	PR target/6422
	* include/dwarf2-signal.h (MAKE_THROW_FRAME for sparc*): Set
	program counter to next program counter minus 8.  Update
	comments in this macro to explain why.

2002-04-22  Tom Tromey  <tromey@redhat.com>

	* gnu/gcj/natCore.cc (create): Use __builtin_alloca, and compute
	correct length of UTF-8 encoded name.  Strip leading `/'.
	(_Jv_RegisterResource): Use _Jv_Malloc.

2002-04-23  Adam Megacz <adam@xwt.org>

	* win32.cc, include/win32.cc (backtrace): Added this function
	because Win32 does not supply it.

2002-04-21  David S. Miller  <davem@redhat.com>

	* include/dwarf2-signal.h (MAKE_THROW_FRAME, sparc32): Document
	magic instruction reading sequence.

2002-04-21  Mark Wielaard  <mark@klomp.org>

	* mauve-libgcj: Don't run java.lang.ref tests since they are buggy.

2002-04-19  David S. Miller  <davem@redhat.com>

	* include/dwarf2-signal.h (SIGNAL_HANDLER): Name siginfo_t pointer
	arg.
	(MAKE_THROW_FRAME): Define for 32-bit and 64-bit sparc.
	(INIT_SEGV, INIT_FPE): Use direct __libc_sigaction installation
	on Sparc too.
	* include/sparc-signal.h (FLUSH_REGISTER_WINDOWS): Define properly
	for 64-bit sparc.
	(MAKE_THROW_FRAME): Use long for sp/retaddr so 64-bit works.
	* sysdeps/sparc/locks.h: New file.
	* configure.in (SIGNAL_HANDLER): Set to include/sparc-signal.h
	on all sparc Solaris configurations.  Set to
	include/dwarf2-signal.h on sparc Linux.
	* configure: Regenerate
	* configure.host (can_unwind_signal): sparc*-linux* can do it now.

2002-04-19  Hans Boehm <Hans_Boehm@hp.com>

	* configure: Rebuilt.
	* configure.in (backtrace): Function doesn't work on IA-64.

2002-04-17  Adam King <aking@dreammechanics.com>

	* java/io/File.java (normalizePath): Add Win32 support for auto 
	conversion of a '/' path separator to Win32's '\' separator.

2002-04-16  DJ Delorie  <dj@redhat.com>

	* configure.in: Allow building in $srcdir.
	* configure: Regenerated.

2002-04-16  Tom Tromey  <tromey@redhat.com>

	Fix for PR libgcj/6081:
	* Makefile.in: Rebuilt.
	* Makefile.am (install-data-local): Use GNU make trick to avoid
	shell limit.

2002-04-16  Adam King <aking@dreammechanics.com>
	    Tom Tromey  <tromey@redhat.com>

	* java/io/natFileWin32.cc (performList): Return the correct array
	type.  Don't duplicate the creation of a File since it's already
	done earlier in the method and the existing code would cause a
	ArrayStoreException.  Don't use fixed-size array.
	(_access, _stat, attr, getCanonicalPath, performMkdir,
	performRenameTo): Don't use fixed-size array.
	(getCanonicalPath): Use throw, not _Jv_Throw.
	
2002-04-15  Mark Wielaard <mark@klomp.org>

	* java/lang/Integer.java (getInteger(String,Integer): Return def when
	nm is null or the empty String.

2002-04-14  Mark Wielaard <mark@klomp.org>

	* java/net/natPlainDatagramSocketImpl.cc (close): Set timeout to 0.
	* java/net/natSocketImpl.cc (close): Likewise.

2002-04-14  Mark Wielaard <mark@klomp.org>

	* gnu/gcj/protocol/http/Connection.java (usingProxy): return false.

2002-04-13  Adam King <aking@dreammechanics.com>

	* java/lang/natDouble.cc (parseDouble): Allow a number to end with 
	the f/F/d/D modifiers.

2002-04-11  Tom Tromey  <tromey@redhat.com>

	* win32.cc (_Jv_platform_initProperties): Fix spelling of _Jv_Free.

2002-04-11  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* configure.host: Set can_unwind_signal on hosts which support it.
	Don't set CHECKREFSPEC and DIVIDESPEC for FreeBSD.
	* configure.in: Set CHECKREFSPEC and DIVIDESPEC if not using SJLJ
	exceptions and can_unwind_signal isn't set.
	* configure: Rebuilt.
	
2002-04-11  Adam King <aking@dreammechanics.com>
	    Tom Tromey  <tromey@redhat.com>

	* include/jvm.h (_Jv_ThrowBadArrayIndex,
	_Jv_ThrowNullPointerException): Mark as noreturn.
	* win32.cc (_Jv_platform_initProperties): Use _Jv_MallocUnchecked
	and _Jv_free.  Correctly invoke GetTempPath().  Indentation
	fixes.

2002-04-09  Anthony Green  <green@redhat.com>

	* Makefile.am (jardir, jar_DATA): Define (for libgcj.jar).
	Create libgcj-@gcc_version@.jar instead of libgcj.jar.
	* Makefile.in: Rebuilt.
	* configure.in: Substitute gcc_version.
	* configure: Rebuilt.

2002-04-09  Tom Tromey  <tromey@redhat.com>

	* win32.cc (_Jv_platform_initProperties): Use GetTempPath.

2002-04-05  Adam Megacz <adam@xwt.org>

        * exception.cc (abort): added static modifier

2002-04-08  Alberto Biancardi  <alberto.biancardi@unipv.it>

	Fix for PR libgcj/6187:
	* java/awt/geom/Point2D.java (distance): Call distanceSq, not
	distance.

2002-04-07  Mark Wielaard <mark@klomp.org>

	* java/util/AbstractMap.java (putAll): Use entrySet size.
	(toString): Explicitly use getKey() and getValue().

2002-04-07  Mark Wielaard <mark@klomp.org>

	* java/util/Hashtable.java (contains): Remove NullPointer check.
	(containsValue): Add NullPointer check.
	(remove): Always throw NullPointerException when key is null.

2002-04-07  Adam King <aking@dreammechanics.com>

	* java/lang/natSystem.cc (init_properties): Call new function
	_Jv_platform_initProperties.
	* win32.cc (_Jv_platform_initProperties): New function that adds Win32 
	support for the System properties os.name, os.arch, os.version, 
	user.name, user.home, and user.dir.
	* include/posix.h, include/win32.h, posix.cc: New function
	_Jv_platform_initProperties.

2002-04-06  Mark Wielaard <mark@klomp.org>

	* java/lang/Character,java (isDefined): getType() != UNASSIGNED.

2002-04-06  Mark Wielaard <mark@klomp.org>

	* java/util/ArrayList.java (addAll(int,Collection)): System.arraycopy
	all of the remaining elements.
	* java/util/Vector.java (addAll(int,Collection)): Likewise.
	(removeRange): If toIndex == fromIndex do
	nothing, if toIndex < fromIndex throw IndexOutIfBoundsException.
	(removeAll): Always throw NullPointerException when collection is
	null.
	(retrainAll): Likewise.

2002-04-05  Mark Wielaard <mark@klomp.org>

	* java/util/ArrayList.java (removeRange): If toIndex == fromIndex do
	nothing, if toIndex < fromIndex throw IndexOutIfBoundsException.

2002-04-04  Adam Megacz <adam@xwt.org>

	* include/win32.h (_Jv_platform_close_on_exec): added inline
	modifier.

2002-04-04  Loren J. Rittle  <ljrittle@acm.org>

        * configure.host: Add case statement to support generic port
        properties.  Add *-*-freebsd* section.

2002-04-04  Mark Wielaard  <mark@klomp.org>

	* mauve-libgcj: Add JLS1.0 and JLS1.1 tags, ignore Character.unicode
	test.
	* testsuite/libjava.mauve/xfails: Remove working tests DoubleTest,
	FloatTest and ObjectStreamClass. Add FAIL for Introspector.jdk11 tests
	that depend on awt code and BufferedByteOutputStream.interrupt.

2002-04-04  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* java/util/Arrays.java (qsort): Fix off-by-one errors and use of
	incorrect "hi" value when count > 40.

2002-04-03  Mark Wielaard  <mark@klomp.org>

	* java/lang/reflect/Modifier.java (toString(int,StringBuffer)): Fix
	ordering.

2002-04-02  Mark Wielaard  <mark@klomp.org>

	* java/lang/Long.java (getLong(String,Long)): Actually decode property
	value, not key.

2002-04-02  Tom Tromey  <tromey@redhat.com>

	* java/lang/natClassLoader.cc (findClass): Compare against `3',
	not `0'.

2002-04-02  Mark Wielaard  <mark@klomp.org>

        * mauve-libgcj: add java.net.DatagramSocket.DatagramSocketTest2 to
	list of testsuite crashers.

2002-04-02  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* java/util/IdentityHashMap.java (put): Set new threshold correctly
	when resizing table.

2002-04-01  Loren J. Rittle  <ljrittle@acm.org>

	* include/posix-threads.h: Support <.../pal.h> on FreeBSD/alpha.

2002-04-01  Mark Wielaard  <mark@klomp.org>

        * java/util/BitSet.java (BitSet(int)): if nbits < 0 throw
        NegativeArraySizeException
        (clear(int)): Use sign extended shift.
        (flip(int)): Likewise.
        (get(int)): Likewise.
        (nextClearBit(int)): Likewise.
        (nextSetBit(int)): Likewise.
        (set(int)): Likewise.

2002-04-01  Mark Wielaard  <mark@klomp.org>

	* java/lang/Integer.java (decode): Throw NullPointerException when
	argument is null. A minus sign can precede other leading characters.

2002-04-01  Mark Wielaard  <mark@klomp.org>

	* mauve-libgcj: Add JDK1.3, JDK1.4, JLS1.2 tests, remove ignored tests
	that can be compiled now and add testsuite crashers to ignore list.

2002-03-31  Alexandre Oliva  <aoliva@redhat.com>

	* libgcj.spec.in, libgcj-test.spec.in: Revert for now.

	* libgcj.spec.in: Override libgcc, not lib.
	* libgcj-test.spec.in: Likewise.

2002-03-29  Tom Tromey  <tromey@redhat.com>

	* java/net/natPlainDatagramSocketImpl.cc (close): New function.
	* java/net/natPlainSocketImpl.cc (close): Indentation fix.

2002-03-27  Jeff Sturm  <jsturm@one-point.com>

	* java/net/PlainDatagramSocketImpl.java
	(close): Use native implementation.
	(finalize): New method.

	* java/net/PlainSocketImpl.java (finalize): New method.

	* java/net/natPlainDatagramSocketImpl.cc
	(java/io/FileDescriptor.h): Don't include.
	(close): Implement method here.
	(create): Don't assign fd.

	* java/net/natPlainSocketImpl.cc
	(java/io/FileDescriptor.h): Don't include.
	(create): Don't assign fd.
	(accept): Likewise.
	(close): Synchronize.

2002-03-25  Andrew Haley <aph@cambridge.redhat.com>, Hans Boehm <Hans_Boehm@hp.com>

	* include/dwarf2-signal.h (MAKE_THROW_FRAME): Add for IA-64.
	(INIT_SEGV, INIT_FPE): Add versions that use __libc_sigaction
	instead of syscall on IA-64.
	Add FIXME comment.
	
2002-03-27  Anthony Green  <green@redhat.com>

	* libgcj.spec.in: Add CHECKREFSPEC.
	* configure.in: Ditto.
	* configure.host: Ditto.  Check references for xscale-elf.
	* configure: Rebuilt.

2002-03-25  Hans Boehm <Hans_Boehm@hp.com>

	* include/dwarf2-signal.h: Temporarily back out last change.

2002-03-25  Andrew Haley <aph@cambridge.redhat.com>, Hans Boehm <Hans_Boehm@hp.com>

	* configure.in, configure: enable dwarf2-exception-style
	exception handling on IA-64.
	* include/dwarf2-signal.h (MAKE_THROW_FRAME): Add for IA-64.
	(INIT_SEGV, INIT_FPE): Use __libc_sigaction instead of syscall.
	Add FIXME comment.
	
2002-03-25  Tom Tromey  <tromey@redhat.com>

	* Makefile.am (libgcj_la_LDFLAGS): Use THREADLDFLAGS.
	(jv_convert_LDFLAGS): Likewise.
	(gij_LDFLAGS): Likewise.
	(rmic_LDFLAGS): Likewise.
	(rmiregistry_LDFLAGS): Likewise.
	* configure.in (THREADLDFLAGS): New subst; set correctly for
	*BSD.

2002-03-25  Tom Tromey  <tromey@redhat.com>

	For PR libgcj/5303:
	* gnu/java/rmi/registry/RegistryImpl.java (main): Recognize --help
	and --version.
	(help): New method.
	(version): Likewise.
	* gnu/gcj/convert/Convert.java (version): Removed extraneous
	"GNU".
	* gnu/java/rmi/rmic/RMIC.java (parseOptions): Removed extraneous
	"GNU".

2002-03-24  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* java/io/PushbackReader.java: Reformat.

	* java/io/FileInputStream.java (skip): Call fd.getFilePointer() and
	calculate correct number of bytes skipped.

	Based on patch from Intel's ORP team:
	* java/io/PushbackInputStream.java (available): Calculate correct 
	number of bytes in buffer.
	(read): Remove redundant bound check. Return bytes from both the
	buffer and the stream.

2002-03-24  Eric Blake  <ebb9@email.byu.edu>

	* java/beans/IntrospectionException.java: Update to 1.4.
	* java/beans/PropertyVetoException.java: Ditto.

2002-03-24  Eric Blake  <ebb9@email.byu.edu>

	* gnu/java/beans/BeanInfoEmbryo.java (hasMethod): Use
	Arrays.equals instead of ArrayHelper.equalsArray.

2002-03-24  C. Brian Jones <cbj@gnu.org>

	* java/beans/Introspector.java: added new static final fields
	introduced in 1.2, lots of other updates remain to be done

2002-03-24  C. Brian Jones <cbj@gnu.org>

	* java/beans/Introspector.java: reformatting

2002-03-24  C. Brian Jones <cbj@gnu.org>

	* java/beans/Introspector.java: default beanInfoSearchPath will
	not include sun.beans.infos given we provide no such package and
	the API doesn't really require it; gnu.java.beans.info is the
	default.

2002-03-24  Mark Wielaard  <mark@klomp.org>

	Thanks to Orp developers
	* gnu/java/beans/editors/NativeBooleanEditor.java (setAsText(String)):
	switch TRUE and FALSE return values.

2002-03-23  Tom Tromey  <tromey@redhat.com>

	* include/name-finder.h (_Jv_name_finder::myclose): New method.
	* name-finder.cc (_Jv_name_finder): Initialize file descriptors.

2002-03-23  Michael Smith  <msmith@spinnakernet.com>

	* java/util/GregorianCalendar.java (minimums, maximums): Correct
	MONTH entry.  Fixes PR libgcj/6045.

2002-03-23  Jeff Sturm  <jsturm@one-point.com>

	* java/nat/natPlainSocketImpl.cc (write): Abort loop on error.

2002-03-20  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* posix-threads.cc (_Jv_ThreadSelf_out_of_line): Use write_barrier,
	not release_set.
	* sysdep/powerpc/locks.h (write_barrier): New function.
	* sysdep/i386/locks.h (write_barrier): New function.

2002-03-19  Martin Kahlert  <martin.kahlert@infineon.com>

	* include/jni.h Use correct C comments 

2002-03-18  Tom Tromey  <tromey@redhat.com>

	* include/jni.h (JNIIMPORT): New macro.
	(JNIEXPORT): Likewise.
	(JNICALL): Likewise.

2002-03-18  Andrew Haley  <aph@cambridge.redhat.com>

	* include/i386-signal.h (old_i386_kernel_sigaction): New.
	INIT_SEGV: Use old_i386_kernel_sigaction.
	INIT_FP: Likewise.

2002-03-18  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* java/lang/natSystem.cc (init_properties): Update VM version
	properties.
	* configure.in: Set GCJVERSION.
	* acconfig.h: Add GCJVERSION.
	* configure: Rebuilt.
	* include/config.h.in: Rebuilt.

2002-03-17  Anthony Green  <green@redhat.com>

	* java/lang/ieeefp.h: Add ARM thumb support (copied from newlib).

2002-03-17  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	Build a single libgcj.so, without separate gc and zlib libraries.
	* configure.in: Use convenience libraries for boehm-gc and zlib. Set
	SYS_ZLIBS if system zlib is used.
	* configure: Rebuilt.
	* Makefile.am: Use boehm-gc and zlib convenience libraries.
	* Makefile.in: Rebuilt.
	* libtool-version: Increment .so version number.

2002-03-16  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* Makefile.am: Use empty -classpath flag in addition to -bootclasspath.
	* Makefile.in: Rebuilt.

2002-03-15  Anthony Green  <green@redhat.com>

	* configure.host (FILE): New macro for specifing File
	implementation.
	* configure: Rebuilt.
	* configure.in: Use FILE.  Define HAVE_TIME for newlib targets.

2002-03-15  Alexandre Oliva  <aoliva@redhat.com>

	* Makefile.am (jv_convert_LDADD): Don't list libraries that are
	already implicitly brought in from libgcj.la.
	(gij_LDADD, rmic_LDADD, rmiregistry_LDADD): Likewise.
	* Makefile.in: Rebuilt.

2002-03-15  Eric Blake  <ebb9@email.byu.edu>

	* THANKS: Fix punctuation, alphabetization.

2002-03-15  Tom Tromey  <tromey@redhat.com>
	    Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>

	Fix for PR libgcj/5944.
	* gnu/gcj/io/shs.h: Define uint8_t and uint32_t.

2002-03-15  Anthony Green  <green@redhat.com>

	* configure.in (tool_include_dir): Define.
	* configure: Rebuilt.
	* gcj/Makefile.am: Install libgcj-config.h relative to
	tool_include_dir.
	* gcj/Makefile: Rebuilt.
	* gcj/libgcj-config.h: Add warning comment.

	* Makefile.am: Escape quotes in echo.
	* Makefile.in: Rebuilt.

2002-03-12  Andreas Tobler  <a.tobler@schweiz.ch>

	* configure.host (powerpc*-darwin*): Enable interpreter.

2002-03-10  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* include/posix.h: Add multiple include header protection.

2002-03-10  Adam Megacz <adam@xwt.org>

	* java/net/natPlainSocketImpl.cc: Removed #include "posix.h".

2002-03-10  Adam Megacz <adam@xwt.org>

	* java/net/natPlainSocketImpl.cc: Added #include <platform.h>.

2002-03-10  Tom Tromey  <tromey@redhat.com>

	* java/lang/Win32Process.java: Added comment.
	* include/posix.h (_Jv_platform_close_on_exec): New function.
	Include fcntl.h.
	* include/win32.h (_Jv_platform_close_on_exec): New function.
	* java/net/natPlainSocketImpl.cc (create): Set close-on-exec
	flag.
	(accept): Likewise.
	* java/net/natPlainDatagramSocketImpl.cc (create): Set
	close-on-exec flag.
	* java/io/natFileDescriptorPosix.cc (open): Set close-on-exec
	flag.

2002-03-09  Tom Tromey  <tromey@redhat.com>

	* verify.cc (state::NO_STACK): New constant.
	(state::is_unmerged_ret_state): Handle case where stacktop is
	NO_STACK.
	(state::merge): Handle NO_STACK merges.
	(handle_jsr_insn): Invalidate PC, and use special NO_STACK state
	for instruction following jsr.
	(stacktop, stackdepth): Removed unused variables.
	(pop_jump): Ignore case where all remaining states are skipped.

2002-03-09  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* java/awt/ImageMediaEntry: Removed.
	* java/awt/MediaEntry: Removed.

2002-03-09  Adam Megacz  <adam@xwt.org>

        * java/io/natFileDescriptorWin32.cc (read): Return -1 if zero
	bytes read and no failure code returned.

2002-03-09  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	Hashtable synchronization for PowerPC.
	* configure.in: Define SLOW_PTHREAD_SELF if configure.host set
	slow_pthread_self. Set up symlink for sysdeps directory.
	* configure: Rebuild.
	* configure.host: Document more shell variables. Set sysdeps_dir
	for most platforms. Set slow_pthread_self for i686. Set 
	enable_hash_synchronization_default and slow_pthread_self for PowerPC. 
	* posix-threads.cc (_Jv_ThreadSelf_out_of_line): Use release_set so
	that memory barrier is emitted where required.
	* prims.cc: 64-bit align static primitive class instances.
	* include/posix-threads.h (_Jv_ThreadSelf for SLOW_PTHREAD_SELF): Add
	read_barrier() to enforce ordering of reads.
	* sysdep/powerpc/locks.h: New file. Implementation of synchronization
	primitives for PowerPC.
	* sysdep/i386/locks.h: New file. Synchronization primitives for i386 
	moved from natObject.cc.
	* sysdep/alpha/locks.h: Likewise.
	* sysdep/ia64/locks.h: Likewise.
	* sysdep/generic/locks.h: Likewise.
	* java/lang/natObject.cc: Move thread synchronization primitives to
	system-dependent headers.

2002-03-09  Adam Megacz  <adam@xwt.org>

        * win32.cc (_CRT_MT, __mingwthr_key_dtor) Added fake
        definitions to simulate -mthreads.

2002-03-09  Adam Megacz  <adam@xwt.org>

        * win32.cc (_Jv_platform_gettimeofday) Cast 1000 to long long to
        avoid precision loss.

2002-03-09  Per Bothner  <per@bothner.com>

	* gnu/gcj/xlib/WindowAttributes.java  Assign null to RawData, not 0.
	* gnu/gcj/xlib/XImage.java:  Likewise.
	* gnu/gcj/xlib/XColor.java:  Likewise.

2002-03-09  Adam Megacz  <adam@xwt.org>

	* java/lang/Win32Process.java (ConcreteProcess): Now throws an
	IOException so that Throwable.printStackTrace fails correctly.

2002-03-08  Adam Megacz  <adam@xwt.org>

	* java/net/natPlainSocketImpl.cc (read, write, close): Formatting
	fixed.
	
2002-03-09  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* posix.cc (_Jv_platform_gettimeofday): Make sure result doesn't get
	truncated to int.

2002-03-08  Tom Tromey  <tromey@redhat.com>

	* include/jni.h: Include stdio.h.

2002-03-08  Tom Tromey  <tromey@redhat.com>

	* posix.cc (internal_gettimeofday): New function.
	(_Jv_select): Use it.

2002-03-07  Adam Megacz  <adam@xwt.org>

	* java/lang/natSystem.cc (currentTimeMillis): Now uses updated
       _Jv_platform_gettimeofday signature.
	
2002-03-07  Adam Megacz  <adam@xwt.org>

       * win32.cc (_Jv_platform_gettimeofday): Now takes no args,
       returns jlong. Added implementation
       * posix.cc (_Jv_platform_gettimeofday): Now takes no args,
       returns jlong.
       * win32.h (_Jv_platform_gettimeofday): Now takes no args,
       returns jlong.
       * posix.h (_Jv_platform_gettimeofday): Now takes no args,
       returns jlong.
       * java/lang/natSystem.cc (currentTimeMillis): Now uses updated
       _Jv_platform_gettimeofday signature.

2002-03-07  Adam Megacz  <adam@xwt.org>

        * java/net/natPlainSocketImpl.cc: Changed USE_WINSOCK to
        WIN32, and added thunks for read(), write(), and close().
        * java/net/natPlainSocketImpl.cc (accept, read, read):
        Disabled timeouts on WIN32 pending discussion.

2002-03-07  Adam Megacz  <adam@xwt.org>

        * java/io/FileDescriptor.java: Initialize in/out/err in init().
        * java/io/natFileDescriptorWin32.cc (init()): Added function.
        * java/io/natFileDescriptorPosix.cc (init()): Added function.
        * java/io/natFileDescriptorEcos.cc (init()): Added function.

2002-03-07  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* java/net/natPlainSocketImpl.cc (_Jv_recv): Removed.
	(read): Call recv() directly, not _Jv_recv().

2002-03-06  Tom Tromey  <tromey@redhat.com>

	* include/config.h.in: Rebuilt.
	* configure: Rebuilt.
	* Makefile.in: Rebuilt.

2002-03-06  Eric Blake  <ebb9@email.byu.edu>

	* scripts/unicode-decomp.pl: Move from chartables.pl, and remove
	the code for generating include/java-chartables.h.
	* scripts/unicode-blocks.pl: Move from scripts/blocks.pl, and
	merge with Classpath.
	* scripts/unicode-muncher.pl: Copy from Classpath.
	* scritps/MakeCharTables.java: New file.
	* gnu/gcj/convert/Blocks-3.txt: New file.
	* gnu/gcj/convert/UnicodeData-3.0.0.txt: New file.
	* gnu/gcj/convert/UnicodeCharacterDatabase-3.0.0.html: New file.
	* gnu/java/lang/CharData.java: Copy from Classpath.
	* Makefile.am (ordinary_java_source_files): Add
	gnu/java/lang/CharData.java.
	* configure.in: Remove --enable-fast-character option.
	* java/lang/Character.java: Merge algorithms and Javadoc with
	Classpath.
	* java/lang/natCharacter.cc: Implement Unicode lookup table more
	efficiently.
	* include/java-chardecomp.h: Regenerate.
	* include/java-chartables.h: Regenerate.

2002-03-06  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* java/awt/MediaTracker.java: Implemented.
	* Makefile.am: Add MediaTracker.
	* Makefile.in: Rebuilt.

2002-03-05  Tom Tromey  <tromey@redhat.com>

	* java/lang/natPosixProcess.cc (fail): Removed.
	(startProcess): Simplified error-handling.  Preserve
	LD_LIBRARY_PATH across exec.

2002-03-05  Tom Tromey  <tromey@redhat.com>

	* jni.cc (_Jv_LookupJNIMethod): Throw UnsatisfiedLinkError, not
	AbstractMethodError.

2002-03-04  Adam Megacz <adam@xwt.org>

	* java/net/natInetAddress.cc: Changed USE_WINSOCK to WIN32, added
	'#undef STRICT'.

2002-03-03  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* Makefile.am: Use -bootclasspath, not -CLASSPATH.
	* Makefile.in: Rebuilt.

2002-03-03 Mark Wielaard <mark@klomp.org>

	* java/util/Timer (TaskQueue.stop): set elements to zero.

2002-02-28  Anthony Green  <green@redhat.com>

	* java/lang/reflect/natMethod.cc (result): Add void* element.
	(_Jv_CallAnyMethodA): Handle FFI_TYPE_POINTER arguments.  Move
	constructor test.

2002-02-26  Tom Tromey  <tromey@redhat.com>

	* java/lang/natSystem.cc (init_properties): Use __VERSION__.
	* gij.cc (version): Use __VERSION__.
	* include/config.h.in: Rebuilt.
	* acconfig.h (GCJVERSION): Removed.
	* configure: Rebuilt.
	* configure.in (GCJVERSION): Removed.

2002-02-26  Andreas Schwab  <schwab@suse.de>

	* acinclude.m4 (LIB_AC_PROG_CXX): Use glibjava_CXX instead of
	glibcpp_CXX, since libjava uses even another CXX.
	* aclocal.m4, configure: Regenerated.

2002-02-26  Tom Tromey  <tromey@redhat.com>

	* java/lang/natPosixProcess.cc (startProcess): Use FD_CLOEXEC, not
	`1'.

2002-02-25  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* Makefile.am (GCJCOMPILE): Use -fCLASSPATH not -fclasspath. Fixes
	dependency tracking for .java files.
	* Makefile.in: Rebuilt.

2002-02-24  Adam Megacz  <adam@xwt.org>

	* java/net/natPlainDatagramSocketImpl.cc: whops; removed 'make'
	typo. Sorry.

2002-02-24  Adam Megacz  <adam@xwt.org>

	* java/net/natPlainDatagramSocketImpl.cc: Updated #includes
	for Win32, changed #ifdefs to check WIN32 instead of the
	(now-obsolete) USE_WINSOCK, and removed support for socket
	timeouts on Win32 pending further discussion.

2002-02-24  Adam Megacz  <adam@xwt.org>

	* win32-threads.cc (_Jv_ThreadInitData): _Jv_Malloc instead of new
	* win32-threads.cc (_Jv_ThreadDestroyData): _Jv_Free instead of
	delete

2002-02-24  Adam Megacz  <adam@xwt.org>

	* java/lang/Win32Process.java: Created a dummy class to allow
	build process to run to completion.

2002-02-24  Jeff Sturm  <jsturm@one-point.com>

	* java/lang/reflect/natMethod.cc (_Jv_CallAnyMethodA):
	Define ffi_result union for ffi_call result.  Cast
	ffi_result members to jvalue.
 
2002-02-23  Alexandre Oliva  <aoliva@redhat.com>

	* Makefile.in, gcj/Makefile.in, include/Makefile.in: Rebuilt.
	* testsuite/Makefile.in: Likewise.

2002-02-20  Per Bothner  <per@bothner.com>

	* java/net/URL.java (getPath):  New JDK 1.3 method.

	* java/net/URLStreamHandler.java (parseURL):
	It is wrong to prepend '/' to the file part of a relative url.

	* java/net/URLStreamHandler.java (parseURL):
	Minor optizations - append '/' rather than "/".

	* java/net/URLStreamHandler.java (parseURL):
	Don't canonicalize "xx/.." or "./" URLs - JDK doesn't.
	We probably should canonicalize for a context-relative url, though.
	* java/net/URL.java (sameFile):  Delegate to URLStreamHandler.
	* java/net/URLStreamHandler.java (canonicalizeFilename):  New helper.
	(sameFile):  New method.  Uses canonicalizeFilename.

2002-02-22  Tom Tromey  <tromey@redhat.com>

	* java/lang/natSystem.cc (init_properties): Include the `Inc.' in
	java.vendor and java.vm.vendor.
	* gnu/java/rmi/rmic/RMIC.java (parseOptions): Only print most
	recent copyright date.
	* gnu/gcj/convert/Convert.java (version): Print `Inc'.
	* gij.cc (version): Print `Inc'.

2002-02-22  Alexandre Oliva  <aoliva@redhat.com>

	* acinclude.m4 (CXX): AC_SUBST it, instead of glibcpp_CXX.
	* aclocal.m4, configure: Rebuilt.

2002-02-20  Per Bothner  <per@bothner.com>

	* gnu/gcj/protocol/file/Connection.java (conect):  Open the input
	and/or output streams immediately here, instead of using File.exists.
	(inputStream, outputStream):  New fields to save open streams.
	(getInputStream, getOutputStream):  Use already-opened streams.

2002-02-22  Alexandre Oliva  <aoliva@redhat.com>

	* acinclude.m4 (LIB_AC_PROG_CXX): Copied from libstdc++-v3.
	Use it.
	* Makefile.am (LIBLINK): Use CXX (and its tag) for linking.
	* aclocal.m4, configure, Makefile.in: Rebuilt.

2002-02-19  Tom Tromey  <tromey@redhat.com>

	Fix for PR libgcj/5696:
	* verify.cc (is_assignable_from_slow): Never call
	_Jv_IsAssignableFrom.
	(verify_instructions_0): Added new debug statement.
	(state::print): Print information about whether local has
	changed.
	(state::merge): Don't call note_variable when merging locals.
	(state::set_exception): Removed old FIXME comment.

2002-02-18  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* java/net/natPlainDatagramSocketImpl.cc (bind): Call setsockopt to
	enable SO_BROADCAST.

2002-02-18  Jason Merrill  <jason@redhat.com>

	* name-finder.cc (toHex): Use word mode, not long long.

	* gnu/gcj/convert/natIconv.cc (write): Avoid sign-compare warning.

2002-02-15  Tom Tromey  <tromey@redhat.com>

	Fix for PR libgcj/5695:
	* verify.cc (is_assignable_from_slow): Check to see if target is
	an Object before checking to see if source is an interface.
	(verify_instructions_0) [op_invokeinterface]: Handle case where
	we're making an interface call on Object.

2002-02-15  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* Makefile.in: Rebuilt with Eric's change below.

	* java/lang/natMath.cc (abs(jdouble), abs(jfloat), round(jfloat),
	round(jdouble), min(jfloat), max(jfloat), min(jdouble), min(jfloat)):
	Removed functions which are now implemented in Math.java.

2002-02-14  Eric Blake  <ebb9@email.byu.edu>

	* gcj/javaprims.h (java::lang): Add java::lang::StrictMath.
	* Makefile.am (core_java_source_files): Add
	java/lang/StrictMath.java.
	* java/lang/Math.java: Merge with Classpath.
	* java/lang/StrictMath.java: New file - merge with Classpath.

2002-02-14  Mark Wielaard  <mark@klomp.org>

	* java/math/BigInteger.java: import gnu.java.math.MPN not the whole
	package as a workaround for gcj 3.0.x

2002-02-14  Mark Wielaard <mark@klomp.org>

	* java/security/BasicPermission.java: extends with fully qualified
	classname as workaround for gcj 3.0.4.

2002-02-14  Eric Blake  <ebb9@email.byu.edu>

	* java/net/DatagramSocketImpl.java (setOption, getOption): Work
	around gcj bug of wrong emitted qualifier for inherited method.
	* java/net/SocketImpl.java (setOption, getOption): Ditto.
	* java/util/WeakHashMap.java (WeakEntrySet): Add non-private
	constructor to reduce amount of emitted bytecode. While this
	happens to work around a jikes 1.15 bug, it is still a useful
	patch even for correct compilers.
	* java/rmi/server/RMIClassLoader.java (MyClassLoader): Ditto.
	* gnu/java/rmi/server/UnicastRemoteCall.java
	(DummyObjectOutputStream, DummyObjectInputStream): Ditto.

2002-02-14  Eric Blake  <ebb9@email.byu.edu>

	* java/net/DatagramSocketImpl.java: Reformat (no code changes).
	* java/net/SocketImpl.java: Ditto.
	* java/rmi/server/RMIClassLoader.java: Ditto.
	* gnu/java/rmi/server/UnicastRemoteCall.java: Ditto.

2002-02-14  Mark Wielaard <mark@klomp.org>

	Thanks to Takashi Okamoto
	* java/util/Arrays.java (ArrayList.indexOf()): this.equals().
	* java/util/Arrays.java (ArrayList.lastIndexOf()): Likewise.
	* java/util/WeakHashMap.java (WeakEntry.getEntry()): this.get().

2002-02-13  Todd Stock  <toddastock@yahoo.com>

	Fix for PR libgcj/5670:
	* verify.cc (is_assignable_from_slow): If `source' is interface,
	recursively look for merge with `target'.

2002-02-14  Martin Kahlert  <martin.kahlert@infineon.com>

	* include/jni.h: Fix typo.

2002-02-13  Martin Kahlert  <martin.kahlert@infineon.com>

	* jni.cc (_Jv_JNI_AttachCurrentThread): env->locals assigned
	correctly.

2002-02-13  Todd Stock  <toddastock@yahoo.com>

	Fix for PR libgcj/5671:
	* verify.cc (state::merge): Handle case where we're merging
	against an interface.

2002-02-12  Tom Tromey  <tromey@redhat.com>

	* exception.cc (std::abort): Mark as noreturn.

2002-02-12  Adam Megacz <adam@xwt.org>

        * java/lang/Win32Process.java: Filled in a placeholder
	implementation so Win32 will build.

2002-02-12  Adam Megacz <adam@xwt.org>

        * java/io/natFilePosix.cc: Copied this from natFile.cc.
	* java/io/natFile.cc: Removed from repository.
	* configure.in: Added AC_LINK_FILES for natFile${PLATFORM}.

2002-02-12  Adam Megacz <adam@xwt.org>

	* win32.cc: Added two #includes to make win32.cc compile.

2002-02-12  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* boehm.cc (initialized, obj_kind_x, obj_free_list): Removed unused
	declarations.
	(_Jv_InitGC): Don't bother locking, as this is always called from a 
	single-thread. Turn off GC_all_interior_pointers. Remove dead code.

2002-02-11  Adam Megacz <adam@xwt.org>

	* include/win32.h: Added _Jv_platform_gettimeofday.
	* win32.cc (_Jv_platform_gettimeofday): Added dummy function.

2002-02-11  Adam Megacz <adam@xwt.org>

	* java/io/natFileWin32.cc, java/io/natFileDescriptorWin32.cc:
	Added #undef STRICT to make windows.h and
	java/lang/reflect/Modifier.h cooperate.

2002-02-11  Adam Megacz <adam@xwt.org>

	* java/io/natFileWin32.cc: Created a placeholder class with lots
	of FIXMEs.

2002-02-11  Adam Megacz <adam@xwt.org>

	* exception.cc (_Jv_Throw, PERSONALITY_FUNCTION): Changed
	std::abort() to simply abort(). Also added "fake" std::abort() so
	we can #include unwind-pe.h without having to link against
	libstdc++-v3.

2002-02-10  Andreas Tobler  <toa@pop.agri.ch>

	* interpret.cc (continue1) [insn_f2l]: Use PUSHL, not PUSHI.

2002-02-08  Tom Tromey  <tromey@redhat.com>

	* interpret.cc (convert): New function.
	(continue1) [insn_d2i, insn_d2l, insn_f2i, insn_f2l]: Use
	convert.
	Include Long.h.

2002-02-08  Anthony Green  <green@redhat.com>

	* configure.host: Add support for xscale-elf embedded target.

2002-02-08  Martin Kahlert  <martin.kahlert@infineon.com>

	* jni.cc (_Jv_JNI_NewLocalRef): Make sure, that NULL frame is not
	dereferenced.
	(_Jv_JNI_AttachCurrentThread): Produce full featured env->locals
	frame.

2002-02-07  Tom Tromey  <tromey@redhat.com>

	* java/io/natFile.cc (_access): Use __builtin_alloca.
	(_stat): Likewise.
	(attr): Likewise.
	(getCanonicalPath): Likewise.
	(performList): Likewise.
	(performMkdir): Likewise.
	(performSetReadOnly): Likewise.
	(performRenameTo): Likewise.
	(performSetLastModified): Likewise.
	(performCreate): Likewise.
	(performDelete): Likewise.

2002-02-08  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* HACKING: Fix URL for the automake-gcj.

2002-02-07  Tom Tromey  <tromey@redhat.com>

	* java/lang/natThrowable.cc: Updated copyright.
	* java/io/natFileWin32.cc: Updated copyright.
	* java/io/natFileDescriptorWin32.cc: Updated copyright.
	* win32-threads.cc: Updated copyright.
	* name-finder.cc: Updated copyright.
	* include/name-finder.h: Updated copyright.

	* include/name-finder.h: Conditionally include sys/wait.h.
	* include/config.h.in: Rebuilt.

	* java/io/natFile.cc (_access): Don't stack-allocate buffer.
	Size buffer based on real size of string.
	(_stat): Likewise.
	(attr): Likewise.
	(getCanonicalPath): Likewise.
	(performList): Likewise.
	(performMkdir): Likewise.
	(performSetReadOnly): Likewise.
	(unixroot): Removed.
	(performRenameTo): Likewise.
	(performSetLastModified): Likewise.
	(performCreate): Likewise.
	(performDelete): Likewise.
	(performListRoots): Always return new array.

	* prims.cc (_Jv_CreateJavaVM): Call _Jv_platform_initialize.
	* win32.cc (win32_exception_handler): Now static.
	* include/win32.h (_Jv_platform_initialize): Declare.
	(win32_exception_handler): Don't declare.
	* java/lang/natSystem.cc (currentTimeMillis): Use
	_Jv_platform_gettimeofday.
	* posix.cc (_Jv_platform_gettimeofday): Renamed.
	(_Jv_select): Use new name.
	(_Jv_platform_initialize): New function.
	* include/posix.h (_Jv_platform_gettimeofday): Renamed from
	_Jv_gettimeofday.
	(_Jv_platform_initialize): Declare.

	* configure: Rebuilt.
	* configure.in: Removed unnecessary parens.

2002-02-06  Adam Megacz <adam@xwt.org>

       * configure.in: Changed mingw) to *mingw*).
       * win32.cc: Created this file.
       * win32.h: Created this file.
       * win32.cc, prims.cc, win32.h (win32_exception_handler): Moved
       win32_exception_handler from prims.cc to win32.cc, added
       header in win32.h.
       * prims.cc: removed some #ifdef-WIN32'd headers which are no
       longer needed now that we have platform.h

2002-02-06  Adam Megacz <adam@xwt.org>

	* gnu/gcj/io/shs.h, gnu/gcj/io/shs.cc, gnu/gcj/io/natSimpleSHSStream.cc:
	use uint<n>_t instead of LONG and BYTE
	
2002-02-06  Adam Megacz <adam@xwt.org>

	* name-finder.h: don't #include sys/wait.h unless HAVE_SYS_WAIT_H
	
2002-02-06  Anthony Green  <green@redhat.com>

	* java/net/natPlainSocketImpl.cc: Fix DISABLE_JAVA_NET targets.
	Implement missing method stubs.
	java/net/natPlainDatagramSocketImpl.cc: Fix DISABLE_JAVA_NET
	targets.
	* java/lang/natSystem.cc (getSystemTimeZone): Some targets have no
	concept of timezones.
	(init_properties): Don't refer to _Jv_Environment_Properties
	when this feature is not available.
	* include/config.h.in: Rebuilt.
	* acconfig.h: Add DISABLE_MAIN_ARGS.
	* prims.cc (_Jv_RunMain): Use DISABLE_MAIN_ARGS.
	* configure: Rebuilt.
	* configure.in: Add --disable-main-args option.  Test for
          opendir function.  Replace AC_CHECK_SIZEOF with
          AC_COMPILE_CHECK_SIZEOF.
	* java/io/natFile.cc (performList): Check HAVE_OPENDIR.
	* aclocal.m4: Rebuilt.
	* acinclude.m4: Add AC_COMPILE_CHECK_SIZEOF.

2002-02-06  Tom Tromey  <tromey@redhat.com>

	* verify.cc (require_array_type): If argument is a null array of
	references, return null as the element type.

2002-02-06  Mark Wielaard  <mark@klomp.org>

	* verify.cc (verify_instructions_0) [op_dup2]: Actually push the
	duplicate of a wide type.

2002-02-06  Tom Tromey  <tromey@redhat.com>

	* verify.cc (type::isnull): New method.
	(require_array_type): Handle case where array is null.
	(verify_instructions_0) [op_arraylength]: Likewise.

2002-02-05  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* configure.in: Set up PLATFORMOBJS not PLATFORM_SPECIFIC_SOURCES.
	Symlink PLATFORMH to platform.h.
	* Makefile.am (libgcj_la_DEPENDENCIES, libgcj_la_LIBADD): Add
	PLATFORMOBJS.
	* java/lang/natSystem.cc: #include platform.h not posix.h.
	* Makefile.in: Rebuilt with libgcj automake.
	* configure: Rebuilt.

2002-02-05  Richard Henderson  <rth@redhat.com>

	* Makefile.in: Undo munging last change.

2002-02-04  Adam Megacz <adam@xwt.org>

	* win32.cc: Created it.
	* configure.in: Added PLATFORM_SPECIFIC_SOURCES,
	which is set to posix.cc or win32.cc.
	* Makefile.am: Updated it to use $(PLATFORM_SPECIFIC_SOURCES).
	
2002-02-04  Adam Megacz <adam@xwt.org>

	* configure.in: Corrected mingw case branches; added * before
	and after.

2002-02-04  Adam Megacz <adam@xwt.org>

	* configure.in: Add -lgdi32 -lwsock32 -lws2_32 to libgcj.spec
	if compiling for win32

2002-02-04  Adam Megacz <adam@xwt.org>

	* win32-threads.cc: #undef STRICT after gc.h inclusion

2002-02-02  Tom Tromey  <tromey@redhat.com>

	* Makefile.in: Rebuilt.

2002-02-02  Jason Merrill  <jason@redhat.com>

	* Makefile.am (clean-nat): New target.

2002-02-02  Tom Tromey  <tromey@redhat.com>

	* java/io/natFile.cc: Removed old "FIXME" comments.

2002-02-01  Tom Tromey  <tromey@redhat.com>

	* java/lang/natPosixProcess.cc (myclose): New function.
	(fail): Use it.
	(startProcess): Likewise.

2002-02-01  Adam Megacz <adam@xwt.org>

	* prims.cc: Added #undef STRICT after #include<windows.h>.
	
2002-02-01  Adam Megacz <adam@xwt.org>

	* prims.cc
	(_Jv_CreateJavaVM): We now use WIN32 instead of
	USE_WIN32_SIGNALLING and USE_WINSOCK.
	(win32_exception_handler): Now throws an exception out of
	the signal handler; assumes SJLJ.
	
2002-02-01  Adam Megacz <adam@xwt.org>

	* win32-threads.cc:
	(_Jv_CondWait, _Jv_CondNotify, _Jv_CondNotifyAll): Corrected
	wait() algorithm to make it safe.
	(ensure_condvar_initialized, _Jv_CondInit, _Jv_CondDestroy):
	Added lazy creation of Win32 Events for better performance
	(really_start): This now uses GC_CreateThread so boehm-gc
	knows about new threads even when statically linked.

2002-02-01  Adam Megacz <adam@xwt.org>

	* include/win32-threads.h (_Jv_ConditionVariable_t): Now a struct, to
	enable safer wait() algorithm.
	(_Jv_CondWait, _Jv_CondInit, _Jv_CondDestroy, _Jv_CondNotify,
	_Jv_CondNotifyAll): Implementations moved to win32-threads.cc.
	(_Jv_MutexInit, _Jv_HaveMutexDestroy, _Jv_MutexUnlock,
	_Jv_MutexLock, _Jv_ThreadYield): Reimplement using CRITICAL_SECTIONs
	instead of mutex.
	(_Jv_ThreadYield): Don't call Sleep(), because it crashes win98.

2002-02-01  Adam Megacz <adam@xwt.org>

	* configure.in: Added support for mingw.
	* java/lang/Win32Process.java: Created as empty file.
	* java/lang/natWin32Process.cc: Created as empty file.

2002-02-01  Craig Rodrigues  <rodrigc@gcc.gnu.org>

	PR java/4972
	* aclocal.m4, acinclude.m4 (AM_ICONV): Put linking flags 
	for libiconv in LIBICONV variable.
	* configure: Regenerated.

2002-01-31  Tom Tromey  <tromey@redhat.com>

	* verify.cc (state::enter_subroutine): New method.
	(handle_jsr_insn): Use it.
	(state::merge): When processing a `ret', correctly use
	subroutine's state to determine which local variables have
	changed.
	(push_exception_jump): Don't let stack overflow.

2002-01-31  Joseph S. Myers  <jsm28@cam.ac.uk>

	* gnu/gcj/convert/Convert.java: Only include one copyright year in
	--version output.

2002-01-30  Tom Tromey  <tromey@redhat.com>

	* java/net/natPlainSocketImpl.cc (_Jv_recv): Added template
	parameter for `recv' return type.

	* verify.cc (handle_ret_insn): Check for subroutine merge here...
	(state::merge): ... not here.
	(subr_entry_info): New structure.
	(entry_points): New field.
	(~_Jv_BytecodeVerifier): Correctly free jsr_ptrs.  Free
	entry_points.

2002-01-29  Tom Tromey  <tromey@redhat.com>

	* java/awt/List.java (addNotify): Correctly check to see if peer
	does not exist.

	* java/awt/GridLayout.java (layoutContainer): Use number of rows
	to compute height of each cell, and number of columns to compute
	width of each cell.
	* java/awt/Window.java (getOwnedWindows): Don't return null.
	* java/awt/FlowLayout.java (layoutContainer): Set width and height
	of component.  Increment x using horizontal gap, not vertical
	gap.

2002-01-28  Tom Tromey  <tromey@redhat.com>

	* verify.cc (class _Jv_BytecodeVerifier) [op_invokeinterface]:
	`nargs' byte is number of words, not number of arguments.

2002-01-27  Tom Tromey  <tromey@redhat.com>

	* java/awt/event/MouseEvent.java (modifiers): Removed field.
	(when): Likewise.
	* java/awt/event/InputEvent.java (modifiers, when): Now
	package-private.

	* verify.cc (class _Jv_BytecodeVerifier): Removed `FIXME' comment
	and to-do list.
	(state::merge): Use current class' class loader.
	(state::print): Print subroutine.
	(state::merge): Don't look at subroutine of unmerged `ret'.

2002-01-26 Andreas Tobler <a.tobler@schweiz.ch>

	* nogc.cc: Remove warnings.
	(_Jv_GCRegisterDisappearingLink, _Jv_GCCanReclaimSoftReference):
	New functions.

2002-01-25  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* java/awt/image/MemoryImageSource.java (newPixels(byte[], ColorModel,
	int, int):  Remove empty "if" statement to work around compiler bug.
	(newPixels(int[], ColorModel, int, int): Likewise.

2002-01-25  Per Bothner  <per@bothner.com>

	* verify.cc (verify_fail):  Change from being a top-level function
	to e method of _Jv_BytecodeVerifier.  Emit current method name.
	Pass the current verifier to type: and state: methods as needed,
	for better error messages, and for resolve.
	(resolve):  Pass current class's loader for Class.forName and
	_Jv_FindClassFromSignature, rather than using the default loader.
	(various type: and state: methods):  Take _Jv_BytecodeVerifier* arg.
	(get_type_val_for_signature):  Make non-static.
	(various methods):  Pass start_PC implicitly, not explicitly.

2002-01-25  Tom Tromey  <tromey@redhat.com>

	* java/awt/FlowLayout.java (layoutContainer): Correctly compute
	loop termination condition.
	* java/awt/GridLayout.java (getSize): Use `real_cols' to compute
	width.

2002-01-24  Tom Tromey  <tromey@redhat.com>

	* java/awt/Shape.java: Merged with Classpath.
	* java/awt/Scrollbar.java: Merged with Classpath.

	* java/awt/Container.java (addNotify): Unconditionally call
	addNotifyContainerChildren and superclass addNotify.

	* java/awt/image/ColorModel.java (getAlpha(Object)): Call
	getAlpha, not getBlue.

2002-01-25  Bryce McKinlay  <bryce@waitaki.otago.ac.nz>

	* java/lang/natObject.cc (X86 compare_and_swap): Use +m constraint.
	
	* java/awt/image/PixelGrabber.java (grabPixels()): Call grabPixels(0).
	(grabPixels(long)): Wait to be notified that the ImageProducer has 
	completed.

2002-01-24  Per Bothner  <per@bothner.com>

	* verify.cc (is_assignable_from_slow): If target is an interface,
	we must still check the source's superclass before giving up.

2002-01-24  Tom Tromey  <tromey@redhat.com>

	* gnu/awt/xlib/XToolkit.java (getPrintJob): New stub method.

2002-01-23  Tom Tromey  <tromey@redhat.com>

	* java/awt/BorderLayout.java (addLayoutComponent): Added missing
	`else'.

	* Makefile.in: Rebuilt.
	* Makefile.am (awt_java_source_files): Added new files.
	* java/awt/Toolkit.java: Merged with Classpath.
	* java/awt/PrintGraphics.java: New file from Classpath.
	* java/awt/PrintJob.java: New file from Classpath.
	* java/awt/datatransfer/Clipboard.java: New file from Classpath.
	* java/awt/datatransfer/ClipboardOwner.java: New file from
	Classpath.
	* java/awt/datatransfer/DataFlavor.java: New file from Classpath.
	* java/awt/datatransfer/FlavorMap.java: New file from Classpath.
	* java/awt/datatransfer/MimeTypeParseException.java: New file from
	Classpath.
	* java/awt/datatransfer/StringSelection.java: New file from
	Classpath.
	* java/awt/datatransfer/SystemFlavorMap.java: New file from
	Classpath.
	* java/awt/datatransfer/Transferable.java: New file from
	Classpath.
	* java/awt/datatransfer/UnsupportedFlavorException.java: New file
	from Classpath.

	* Makefile.in: Rebuilt.
	* Makefile.am (awt_java_source_files): Added new files.
	* java/awt/image/AreaAveragingScaleFilter.java: New file from
	Classpath.
	* java/awt/image/CropImageFilter.java: New file from Classpath.
	* java/awt/image/FilteredImageSource.java: New file from
	Classpath.
	* java/awt/image/ImageFilter.java: New file from Classpath.
	* java/awt/image/MemoryImageSource.java: New file from Classpath.
	* java/awt/image/PixelGrabber.java: New file from Classpath.
	* java/awt/image/RGBImageFilter.java: New file from Classpath.
	* java/awt/image/ReplicateScaleFilter.java: New file from
	Classpath.
	* java/awt/image/ImageProducer.java: Replaced with Classpath
	version.
	* java/awt/image/ImageObserver.java: Replaced with Classpath
	version.
	* java/awt/image/ImageConsumer.java: Replaced with Classpath
	version.
	* java/awt/GridBagConstraints.java (clone): Catch
	CloneNotSupportedException.

2002-01-23  Per Bothner  <per@bothner.com>

	* java/lang/reflect/natField.cc (setAddr):  New function.
	Calls getAddr and then checks that the field isn't final.
	(setBoolean. setChar, setByte, setShort, setInt, setLong, setFloat,
	setDouble, set):  Use setAddr instead of getAddr, to check for FINAL.
	(set):  Call setAddr before check that new value has right type,
	to better match specified semantics.

2002-01-22  Tom Tromey  <tromey@redhat.com>

	* java/awt/TextField.java: Replaced with Classpath version.
	* java/awt/TextArea.java: Replaced with Classpath version.
	* java/awt/TextComponent.java: Replaced with Classpath version.

	* java/awt/GridBagConstraints.java: Updated copyright.

2002-01-22  Mark Wielaard <mark@klomp.org>

	* java/awt/Adjustable.java java/awt/CheckboxMenuItem.java 
	java/awt/Choice.java java/awt/Color.java java/awt/Cursor.java 
	java/awt/Dialog.java java/awt/FileDialog.java 
	java/awt/Font.java java/awt/FontMetrics.java 
	java/awt/Image.java java/awt/ImageMediaEntry.java 
	java/awt/Insets.java java/awt/List.java 
	java/awt/MediaEntry.java java/awt/MediaTracker.java 
	java/awt/Menu.java java/awt/MenuBar.java 
	java/awt/MenuContainer.java java/awt/MenuShortcut.java 
	java/awt/PaintContext.java java/awt/Panel.java 
	java/awt/PopupMenu.java java/awt/SystemColor.java 
	java/awt/peer/ButtonPeer.java java/awt/peer/CanvasPeer.java 
	java/awt/peer/CheckboxMenuItemPeer.java 
	java/awt/peer/CheckboxPeer.java java/awt/peer/ChoicePeer.java 
	java/awt/peer/ComponentPeer.java 
	java/awt/peer/ContainerPeer.java java/awt/peer/DialogPeer.java 
	java/awt/peer/FileDialogPeer.java java/awt/peer/FontPeer.java 
	java/awt/peer/FramePeer.java java/awt/peer/LabelPeer.java 
	java/awt/peer/LightweightPeer.java java/awt/peer/ListPeer.java 
	java/awt/peer/MenuBarPeer.java 
	java/awt/peer/MenuComponentPeer.java 
	java/awt/peer/MenuItemPeer.java java/awt/peer/MenuPeer.java 
	java/awt/peer/PanelPeer.java java/awt/peer/PopupMenuPeer.java 
	java/awt/peer/ScrollPanePeer.java 
	java/awt/peer/ScrollbarPeer.java 
	java/awt/peer/TextAreaPeer.java 
	java/awt/peer/TextComponentPeer.java 
	java/awt/peer/TextFieldPeer.java
	java/awt/peer/WindowPeer.java: Add license clarification.

2002-01-22  Mark Wielaard <mark@klomp.org>

	* LIBGCJ_LICENSE gnu/classpath/Configuration.java.in 
	gnu/gcj/runtime/StringBuffer.java 
	gnu/java/awt/BitMaskExtent.java gnu/java/awt/Buffers.java 
	gnu/java/awt/ComponentDataBlitOp.java 
	gnu/java/awt/GLightweightPeer.java 
	gnu/java/beans/BeanInfoEmbryo.java 
	gnu/java/beans/EmptyBeanInfo.java 
	gnu/java/beans/ExplicitBeanInfo.java 
	gnu/java/beans/IntrospectionIncubator.java 
	gnu/java/beans/editors/ColorEditor.java 
	gnu/java/beans/editors/FontEditor.java 
	gnu/java/beans/editors/NativeBooleanEditor.java 
	gnu/java/beans/editors/NativeByteEditor.java 
	gnu/java/beans/editors/NativeDoubleEditor.java 
	gnu/java/beans/editors/NativeFloatEditor.java 
	gnu/java/beans/editors/NativeIntEditor.java 
	gnu/java/beans/editors/NativeLongEditor.java 
	gnu/java/beans/editors/NativeShortEditor.java 
	gnu/java/beans/editors/StringEditor.java 
	gnu/java/beans/info/ComponentBeanInfo.java 
	gnu/java/io/ClassLoaderObjectInputStream.java 
	gnu/java/io/NullOutputStream.java 
	gnu/java/io/ObjectIdentityWrapper.java 
	gnu/java/lang/ArrayHelper.java gnu/java/lang/ClassHelper.java 
	gnu/java/lang/reflect/TypeSignature.java 
	gnu/java/locale/Calendar.java gnu/java/locale/Calendar_de.java 
	gnu/java/locale/Calendar_en.java 
	gnu/java/locale/Calendar_nl.java 
	gnu/java/locale/LocaleInformation.java 
	gnu/java/locale/LocaleInformation_de.java 
	gnu/java/locale/LocaleInformation_en.java 
	gnu/java/locale/LocaleInformation_nl.java 
	gnu/java/math/MPN.java gnu/java/rmi/dgc/DGCImpl.java 
	gnu/java/rmi/registry/RegistryImpl.java 
	gnu/java/rmi/rmic/Compile_gcj.java 
	gnu/java/rmi/rmic/Compiler.java 
	gnu/java/rmi/rmic/CompilerProcess.java 
	gnu/java/rmi/rmic/RMIC.java 
	gnu/java/rmi/rmic/TabbedWriter.java 
	gnu/java/rmi/server/ProtocolConstants.java 
	gnu/java/rmi/server/RMIDefaultSocketFactory.java 
	gnu/java/rmi/server/RMIHashes.java 
	gnu/java/rmi/server/RMIObjectInputStream.java 
	gnu/java/rmi/server/RMIObjectOutputStream.java 
	gnu/java/rmi/server/UnicastConnection.java 
	gnu/java/rmi/server/UnicastConnectionManager.java 
	gnu/java/rmi/server/UnicastRef.java 
	gnu/java/rmi/server/UnicastRemoteCall.java 
	gnu/java/rmi/server/UnicastRemoteStub.java 
	gnu/java/rmi/server/UnicastServer.java 
	gnu/java/rmi/server/UnicastServerRef.java 
	gnu/java/security/provider/DefaultPolicy.java 
	gnu/java/security/provider/Gnu.java 
	gnu/java/security/provider/SHA.java 
	gnu/java/security/provider/SHA1PRNG.java 
	gnu/java/text/BaseBreakIterator.java 
	gnu/java/text/CharacterBreakIterator.java 
	gnu/java/text/LineBreakIterator.java 
	gnu/java/text/SentenceBreakIterator.java 
	gnu/java/text/WordBreakIterator.java 
	gnu/java/util/DoubleEnumeration.java java/applet/Applet.java 
	java/applet/AppletContext.java java/applet/AppletStub.java 
	java/applet/AudioClip.java java/awt/AWTError.java 
	java/awt/AWTEvent.java java/awt/AWTEventMulticaster.java 
	java/awt/AWTException.java java/awt/AWTPermission.java 
	java/awt/ActiveEvent.java java/awt/BorderLayout.java 
	java/awt/Button.java java/awt/Canvas.java 
	java/awt/CardLayout.java java/awt/Checkbox.java 
	java/awt/CheckboxGroup.java java/awt/Component.java 
	java/awt/ComponentOrientation.java java/awt/Container.java 
	java/awt/Dimension.java java/awt/Event.java 
	java/awt/EventDispatchThread.java java/awt/EventQueue.java 
	java/awt/FlowLayout.java java/awt/Frame.java 
	java/awt/Graphics.java java/awt/Graphics2D.java 
	java/awt/GraphicsConfiguration.java java/awt/GridLayout.java 
	java/awt/IllegalComponentStateException.java 
	java/awt/ItemSelectable.java java/awt/Label.java 
	java/awt/LayoutManager.java java/awt/LayoutManager2.java 
	java/awt/MenuComponent.java java/awt/MenuItem.java 
	java/awt/Paint.java java/awt/Point.java 
	java/awt/Rectangle.java java/awt/RenderingHints.java 
	java/awt/Transparency.java java/awt/Window.java 
	java/awt/color/ColorSpace.java 
	java/awt/color/ICC_ColorSpace.java 
	java/awt/color/ICC_Profile.java 
	java/awt/event/HierarchyBoundsAdapter.java 
	java/awt/event/HierarchyBoundsListener.java 
	java/awt/event/HierarchyEvent.java 
	java/awt/event/HierarchyListener.java 
	java/awt/geom/AffineTransform.java 
	java/awt/geom/Dimension2D.java java/awt/geom/Ellipse2D.java 
	java/awt/geom/IllegalPathStateException.java 
	java/awt/geom/Line2D.java 
	java/awt/geom/NoninvertibleTransformException.java 
	java/awt/geom/PathIterator.java java/awt/geom/Point2D.java 
	java/awt/geom/Rectangle2D.java 
	java/awt/geom/RectangularShape.java 
	java/awt/geom/RoundRectangle2D.java 
	java/awt/image/BufferedImage.java 
	java/awt/image/ColorModel.java 
	java/awt/image/ComponentColorModel.java 
	java/awt/image/ComponentSampleModel.java 
	java/awt/image/DataBuffer.java 
	java/awt/image/DataBufferByte.java 
	java/awt/image/DataBufferInt.java 
	java/awt/image/DataBufferUShort.java 
	java/awt/image/DirectColorModel.java 
	java/awt/image/PackedColorModel.java 
	java/awt/image/Raster.java java/awt/image/RasterOp.java 
	java/awt/image/SampleModel.java 
	java/awt/image/SinglePixelPackedSampleModel.java 
	java/awt/image/WritableRaster.java 
	java/beans/AppletInitializer.java 
	java/beans/BeanDescriptor.java java/beans/BeanInfo.java 
	java/beans/Beans.java java/beans/Customizer.java 
	java/beans/DesignMode.java java/beans/EventSetDescriptor.java 
	java/beans/FeatureDescriptor.java 
	java/beans/IndexedPropertyDescriptor.java 
	java/beans/IntrospectionException.java 
	java/beans/Introspector.java java/beans/MethodDescriptor.java 
	java/beans/ParameterDescriptor.java 
	java/beans/PropertyChangeEvent.java 
	java/beans/PropertyChangeListener.java 
	java/beans/PropertyChangeSupport.java 
	java/beans/PropertyDescriptor.java 
	java/beans/PropertyEditor.java 
	java/beans/PropertyEditorManager.java 
	java/beans/PropertyEditorSupport.java 
	java/beans/PropertyVetoException.java 
	java/beans/SimpleBeanInfo.java 
	java/beans/VetoableChangeListener.java 
	java/beans/VetoableChangeSupport.java 
	java/beans/Visibility.java 
	java/beans/beancontext/BeanContext.java 
	java/beans/beancontext/BeanContextChild.java 
	java/beans/beancontext/BeanContextChildComponentProxy.java 
	java/beans/beancontext/BeanContextChildSupport.java 
	java/beans/beancontext/BeanContextContainerProxy.java 
	java/beans/beancontext/BeanContextEvent.java 
	java/beans/beancontext/BeanContextMembershipEvent.java 
	java/beans/beancontext/BeanContextMembershipListener.java 
	java/beans/beancontext/BeanContextProxy.java 
	java/beans/beancontext/BeanContextServiceAvailableEvent.java 
	java/beans/beancontext/BeanContextServiceProvider.java 
	java/beans/beancontext/BeanContextServiceProviderBeanInfo.java 
	java/beans/beancontext/BeanContextServiceRevokedEvent.java 
	java/beans/beancontext/BeanContextServiceRevokedListener.java 
	java/beans/beancontext/BeanContextServices.java 
	java/beans/beancontext/BeanContextServicesListener.java 
	java/io/BufferedInputStream.java 
	java/io/BufferedOutputStream.java java/io/BufferedReader.java 
	java/io/BufferedWriter.java java/io/ByteArrayInputStream.java 
	java/io/ByteArrayOutputStream.java 
	java/io/CharArrayReader.java java/io/CharArrayWriter.java 
	java/io/CharConversionException.java java/io/DataInput.java 
	java/io/DataInputStream.java java/io/DataOutput.java 
	java/io/EOFException.java java/io/Externalizable.java 
	java/io/FileFilter.java java/io/FileNotFoundException.java 
	java/io/FilePermission.java java/io/FileReader.java 
	java/io/FileWriter.java java/io/FilenameFilter.java 
	java/io/FilterInputStream.java java/io/FilterOutputStream.java 
	java/io/FilterReader.java java/io/FilterWriter.java 
	java/io/IOException.java java/io/InputStream.java 
	java/io/InterruptedIOException.java 
	java/io/InvalidClassException.java 
	java/io/InvalidObjectException.java 
	java/io/NotActiveException.java 
	java/io/NotSerializableException.java java/io/ObjectInput.java 
	java/io/ObjectInputStream.java 
	java/io/ObjectInputValidation.java java/io/ObjectOutput.java 
	java/io/ObjectOutputStream.java java/io/ObjectStreamClass.java 
	java/io/ObjectStreamConstants.java 
	java/io/ObjectStreamException.java 
	java/io/ObjectStreamField.java 
	java/io/OptionalDataException.java java/io/OutputStream.java 
	java/io/PipedInputStream.java java/io/PipedOutputStream.java 
	java/io/PipedReader.java java/io/PipedWriter.java 
	java/io/PrintWriter.java java/io/PushbackInputStream.java 
	java/io/PushbackReader.java java/io/Reader.java 
	java/io/SequenceInputStream.java java/io/Serializable.java 
	java/io/SerializablePermission.java 
	java/io/StreamCorruptedException.java 
	java/io/StreamTokenizer.java 
	java/io/StringBufferInputStream.java java/io/StringReader.java 
	java/io/StringWriter.java java/io/SyncFailedException.java 
	java/io/UTFDataFormatException.java 
	java/io/UnsupportedEncodingException.java 
	java/io/WriteAbortedException.java java/io/Writer.java 
	java/lang/AbstractMethodError.java 
	java/lang/ArithmeticException.java 
	java/lang/ArrayIndexOutOfBoundsException.java 
	java/lang/ArrayStoreException.java java/lang/Boolean.java 
	java/lang/Byte.java java/lang/CharSequence.java 
	java/lang/ClassCastException.java 
	java/lang/ClassCircularityError.java 
	java/lang/ClassFormatError.java 
	java/lang/ClassNotFoundException.java 
	java/lang/CloneNotSupportedException.java 
	java/lang/Cloneable.java java/lang/Comparable.java 
	java/lang/Compiler.java java/lang/Double.java 
	java/lang/Error.java java/lang/Exception.java 
	java/lang/ExceptionInInitializerError.java 
	java/lang/Float.java java/lang/IllegalAccessError.java 
	java/lang/IllegalAccessException.java 
	java/lang/IllegalArgumentException.java 
	java/lang/IllegalMonitorStateException.java 
	java/lang/IllegalStateException.java 
	java/lang/IllegalThreadStateException.java 
	java/lang/IncompatibleClassChangeError.java 
	java/lang/IndexOutOfBoundsException.java 
	java/lang/InheritableThreadLocal.java 
	java/lang/InstantiationError.java 
	java/lang/InstantiationException.java java/lang/Integer.java 
	java/lang/InternalError.java 
	java/lang/InterruptedException.java 
	java/lang/LinkageError.java java/lang/Long.java 
	java/lang/NegativeArraySizeException.java 
	java/lang/NoClassDefFoundError.java 
	java/lang/NoSuchFieldError.java 
	java/lang/NoSuchFieldException.java 
	java/lang/NoSuchMethodError.java 
	java/lang/NoSuchMethodException.java 
	java/lang/NullPointerException.java java/lang/Number.java 
	java/lang/NumberFormatException.java 
	java/lang/OutOfMemoryError.java java/lang/Package.java 
	java/lang/Process.java java/lang/Runnable.java 
	java/lang/RuntimeException.java 
	java/lang/RuntimePermission.java 
	java/lang/SecurityException.java 
	java/lang/SecurityManager.java java/lang/Short.java 
	java/lang/StackOverflowError.java java/lang/StringBuffer.java 
	java/lang/StringIndexOutOfBoundsException.java 
	java/lang/ThreadDeath.java java/lang/ThreadGroup.java 
	java/lang/ThreadLocal.java java/lang/UnknownError.java 
	java/lang/UnsatisfiedLinkError.java 
	java/lang/UnsupportedClassVersionError.java 
	java/lang/UnsupportedOperationException.java 
	java/lang/VerifyError.java java/lang/VirtualMachineError.java 
	java/lang/Void.java java/lang/ref/PhantomReference.java 
	java/lang/ref/Reference.java java/lang/ref/ReferenceQueue.java 
	java/lang/ref/SoftReference.java 
	java/lang/ref/WeakReference.java 
	java/lang/reflect/AccessibleObject.java 
	java/lang/reflect/InvocationTargetException.java 
	java/lang/reflect/Member.java java/lang/reflect/Modifier.java 
	java/lang/reflect/ReflectPermission.java 
	java/math/BigDecimal.java java/math/BigInteger.java 
	java/net/Authenticator.java java/net/BindException.java 
	java/net/ConnectException.java java/net/ContentHandler.java 
	java/net/ContentHandlerFactory.java 
	java/net/DatagramPacket.java java/net/DatagramSocketImpl.java 
	java/net/FileNameMap.java java/net/MalformedURLException.java 
	java/net/MulticastSocket.java java/net/NetPermission.java 
	java/net/NoRouteToHostException.java 
	java/net/PasswordAuthentication.java 
	java/net/ProtocolException.java java/net/ServerSocket.java 
	java/net/Socket.java java/net/SocketException.java 
	java/net/SocketImpl.java java/net/SocketImplFactory.java 
	java/net/SocketOptions.java java/net/SocketPermission.java 
	java/net/URLDecoder.java java/net/URLEncoder.java 
	java/net/URLStreamHandlerFactory.java 
	java/net/UnknownHostException.java 
	java/net/UnknownServiceException.java 
	java/rmi/AccessException.java 
	java/rmi/AlreadyBoundException.java 
	java/rmi/ConnectException.java 
	java/rmi/ConnectIOException.java 
	java/rmi/MarshalException.java java/rmi/MarshalledObject.java 
	java/rmi/Naming.java java/rmi/NoSuchObjectException.java 
	java/rmi/NotBoundException.java 
	java/rmi/RMISecurityException.java 
	java/rmi/RMISecurityManager.java java/rmi/Remote.java 
	java/rmi/RemoteException.java java/rmi/ServerError.java 
	java/rmi/ServerException.java 
	java/rmi/ServerRuntimeException.java 
	java/rmi/StubNotFoundException.java 
	java/rmi/UnexpectedException.java 
	java/rmi/UnknownHostException.java 
	java/rmi/UnmarshalException.java 
	java/rmi/activation/Activatable.java 
	java/rmi/activation/ActivateFailedException.java 
	java/rmi/activation/ActivationDesc.java 
	java/rmi/activation/ActivationException.java 
	java/rmi/activation/ActivationGroup.java 
	java/rmi/activation/ActivationGroupDesc.java 
	java/rmi/activation/ActivationGroupID.java 
	java/rmi/activation/ActivationID.java 
	java/rmi/activation/ActivationInstantiator.java 
	java/rmi/activation/ActivationMonitor.java 
	java/rmi/activation/ActivationSystem.java 
	java/rmi/activation/Activator.java 
	java/rmi/activation/UnknownGroupException.java 
	java/rmi/activation/UnknownObjectException.java 
	java/rmi/dgc/DGC.java java/rmi/dgc/Lease.java 
	java/rmi/dgc/VMID.java java/rmi/registry/LocateRegistry.java 
	java/rmi/registry/Registry.java 
	java/rmi/registry/RegistryHandler.java 
	java/rmi/server/ExportException.java 
	java/rmi/server/LoaderHandler.java 
	java/rmi/server/LogStream.java java/rmi/server/ObjID.java 
	java/rmi/server/Operation.java 
	java/rmi/server/RMIClassLoader.java 
	java/rmi/server/RMIClientSocketFactory.java 
	java/rmi/server/RMIFailureHandler.java 
	java/rmi/server/RMIServerSocketFactory.java 
	java/rmi/server/RMISocketFactory.java 
	java/rmi/server/RemoteCall.java 
	java/rmi/server/RemoteObject.java 
	java/rmi/server/RemoteRef.java 
	java/rmi/server/RemoteServer.java 
	java/rmi/server/RemoteStub.java 
	java/rmi/server/ServerCloneException.java 
	java/rmi/server/ServerNotActiveException.java 
	java/rmi/server/ServerRef.java java/rmi/server/Skeleton.java 
	java/rmi/server/SkeletonMismatchException.java 
	java/rmi/server/SkeletonNotFoundException.java 
	java/rmi/server/SocketSecurityException.java 
	java/rmi/server/UID.java 
	java/rmi/server/UnicastRemoteObject.java 
	java/rmi/server/Unreferenced.java 
	java/security/AccessControlContext.java 
	java/security/AccessControlException.java 
	java/security/AccessController.java 
	java/security/AlgorithmParameterGenerator.java 
	java/security/AlgorithmParameterGeneratorSpi.java 
	java/security/AlgorithmParameters.java 
	java/security/AlgorithmParametersSpi.java 
	java/security/AllPermission.java 
	java/security/BasicPermission.java 
	java/security/Certificate.java java/security/CodeSource.java 
	java/security/DigestException.java 
	java/security/DigestInputStream.java 
	java/security/DigestOutputStream.java 
	java/security/DomainCombiner.java 
	java/security/DummyKeyPairGenerator.java 
	java/security/DummyMessageDigest.java 
	java/security/DummySignature.java 
	java/security/GeneralSecurityException.java 
	java/security/Guard.java java/security/GuardedObject.java 
	java/security/Identity.java java/security/IdentityScope.java 
	java/security/InvalidAlgorithmParameterException.java 
	java/security/InvalidKeyException.java 
	java/security/InvalidParameterException.java 
	java/security/Key.java java/security/KeyException.java 
	java/security/KeyFactory.java java/security/KeyFactorySpi.java 
	java/security/KeyManagementException.java 
	java/security/KeyPair.java java/security/KeyPairGenerator.java 
	java/security/KeyPairGeneratorSpi.java 
	java/security/KeyStore.java 
	java/security/KeyStoreException.java 
	java/security/KeyStoreSpi.java 
	java/security/MessageDigest.java 
	java/security/MessageDigestSpi.java 
	java/security/NoSuchAlgorithmException.java 
	java/security/NoSuchProviderException.java 
	java/security/Permission.java 
	java/security/PermissionCollection.java 
	java/security/Permissions.java java/security/Policy.java 
	java/security/Principal.java java/security/PrivateKey.java 
	java/security/PrivilegedAction.java 
	java/security/PrivilegedActionException.java 
	java/security/PrivilegedExceptionAction.java 
	java/security/ProtectionDomain.java 
	java/security/Provider.java 
	java/security/ProviderException.java 
	java/security/PublicKey.java 
	java/security/SecureClassLoader.java 
	java/security/SecureRandom.java 
	java/security/SecureRandomSpi.java java/security/Security.java 
	java/security/SecurityPermission.java 
	java/security/Signature.java 
	java/security/SignatureException.java 
	java/security/SignatureSpi.java 
	java/security/SignedObject.java java/security/Signer.java 
	java/security/UnrecoverableKeyException.java 
	java/security/UnresolvedPermission.java 
	java/security/acl/Acl.java java/security/acl/AclEntry.java 
	java/security/acl/AclNotFoundException.java 
	java/security/acl/Group.java 
	java/security/acl/LastOwnerException.java 
	java/security/acl/NotOwnerException.java 
	java/security/acl/Owner.java java/security/acl/Permission.java 
	java/security/cert/CRL.java 
	java/security/cert/CRLException.java 
	java/security/cert/Certificate.java 
	java/security/cert/CertificateEncodingException.java 
	java/security/cert/CertificateException.java 
	java/security/cert/CertificateExpiredException.java 
	java/security/cert/CertificateFactory.java 
	java/security/cert/CertificateFactorySpi.java 
	java/security/cert/CertificateNotYetValidException.java 
	java/security/cert/CertificateParsingException.java 
	java/security/cert/X509CRL.java 
	java/security/cert/X509CRLEntry.java 
	java/security/cert/X509Certificate.java 
	java/security/cert/X509Extension.java 
	java/security/interfaces/DSAKey.java 
	java/security/interfaces/DSAKeyPairGenerator.java 
	java/security/interfaces/DSAParams.java 
	java/security/interfaces/DSAPrivateKey.java 
	java/security/interfaces/DSAPublicKey.java 
	java/security/interfaces/RSAKey.java 
	java/security/interfaces/RSAPrivateCrtKey.java 
	java/security/interfaces/RSAPrivateKey.java 
	java/security/interfaces/RSAPublicKey.java 
	java/security/spec/AlgorithmParameterSpec.java 
	java/security/spec/DSAParameterSpec.java 
	java/security/spec/DSAPrivateKeySpec.java 
	java/security/spec/DSAPublicKeySpec.java 
	java/security/spec/EncodedKeySpec.java 
	java/security/spec/InvalidKeySpecException.java 
	java/security/spec/InvalidParameterSpecException.java 
	java/security/spec/KeySpec.java 
	java/security/spec/PKCS8EncodedKeySpec.java 
	java/security/spec/RSAKeyGenParameterSpec.java 
	java/security/spec/RSAPrivateCrtKeySpec.java 
	java/security/spec/RSAPrivateKeySpec.java 
	java/security/spec/RSAPublicKeySpec.java 
	java/security/spec/X509EncodedKeySpec.java java/sql/Array.java 
	java/sql/BatchUpdateException.java java/sql/Blob.java 
	java/sql/CallableStatement.java java/sql/Clob.java 
	java/sql/Connection.java java/sql/DataTruncation.java 
	java/sql/DatabaseMetaData.java java/sql/Date.java 
	java/sql/Driver.java java/sql/DriverManager.java 
	java/sql/DriverPropertyInfo.java 
	java/sql/PreparedStatement.java java/sql/Ref.java 
	java/sql/ResultSet.java java/sql/ResultSetMetaData.java 
	java/sql/SQLData.java java/sql/SQLException.java 
	java/sql/SQLInput.java java/sql/SQLOutput.java 
	java/sql/SQLWarning.java java/sql/Statement.java 
	java/sql/Struct.java java/sql/Time.java 
	java/sql/Timestamp.java java/sql/Types.java 
	java/text/Annotation.java 
	java/text/AttributedCharacterIterator.java 
	java/text/AttributedString.java 
	java/text/AttributedStringIterator.java 
	java/text/BreakIterator.java java/text/CharacterIterator.java 
	java/text/ChoiceFormat.java java/text/Collator.java 
	java/text/DateFormat.java java/text/DateFormatSymbols.java 
	java/text/DecimalFormat.java 
	java/text/DecimalFormatSymbols.java 
	java/text/FieldPosition.java java/text/Format.java 
	java/text/MessageFormat.java java/text/NumberFormat.java 
	java/text/ParseException.java java/text/ParsePosition.java 
	java/text/SimpleDateFormat.java 
	java/text/StringCharacterIterator.java 
	java/util/AbstractCollection.java java/util/AbstractList.java 
	java/util/AbstractMap.java 
	java/util/AbstractSequentialList.java 
	java/util/AbstractSet.java java/util/ArrayList.java 
	java/util/Arrays.java java/util/BasicMapEntry.java 
	java/util/BitSet.java java/util/Calendar.java 
	java/util/Collection.java java/util/Collections.java 
	java/util/Comparator.java 
	java/util/ConcurrentModificationException.java 
	java/util/Date.java java/util/Dictionary.java 
	java/util/EmptyStackException.java java/util/Enumeration.java 
	java/util/EventListener.java java/util/EventObject.java 
	java/util/GregorianCalendar.java java/util/HashMap.java 
	java/util/HashSet.java java/util/Hashtable.java 
	java/util/IdentityHashMap.java java/util/Iterator.java 
	java/util/LinkedHashMap.java java/util/LinkedHashSet.java 
	java/util/LinkedList.java java/util/List.java 
	java/util/ListIterator.java java/util/ListResourceBundle.java 
	java/util/Locale.java java/util/Map.java 
	java/util/MissingResourceException.java 
	java/util/NoSuchElementException.java 
	java/util/Observable.java java/util/Observer.java 
	java/util/Properties.java java/util/PropertyPermission.java 
	java/util/PropertyResourceBundle.java java/util/Random.java 
	java/util/RandomAccess.java java/util/ResourceBundle.java 
	java/util/Set.java java/util/SimpleTimeZone.java 
	java/util/SortedMap.java java/util/SortedSet.java 
	java/util/Stack.java java/util/StringTokenizer.java 
	java/util/TimeZone.java java/util/Timer.java 
	java/util/TimerTask.java 
	java/util/TooManyListenersException.java 
	java/util/TreeMap.java java/util/TreeSet.java 
	java/util/Vector.java java/util/WeakHashMap.java 
	java/util/jar/Attributes.java java/util/jar/JarEntry.java 
	java/util/jar/JarException.java java/util/jar/JarFile.java 
	java/util/jar/JarInputStream.java 
	java/util/jar/JarOutputStream.java java/util/jar/Manifest.java 
	java/util/zip/Adler32.java java/util/zip/CRC32.java 
	java/util/zip/CheckedInputStream.java 
	java/util/zip/CheckedOutputStream.java 
	java/util/zip/Checksum.java 
	java/util/zip/DataFormatException.java 
	java/util/zip/Deflater.java 
	java/util/zip/DeflaterOutputStream.java 
	java/util/zip/GZIPInputStream.java 
	java/util/zip/GZIPOutputStream.java 
	java/util/zip/Inflater.java 
	java/util/zip/InflaterInputStream.java 
	java/util/zip/ZipConstants.java java/util/zip/ZipEntry.java 
	java/util/zip/ZipException.java java/util/zip/ZipFile.java 
	java/util/zip/ZipInputStream.java 
	java/util/zip/ZipOutputStream.java 
	javax/naming/BinaryRefAddr.java 
	javax/naming/InvalidNameException.java javax/naming/Name.java 
	javax/naming/NamingException.java javax/naming/RefAddr.java 
	javax/naming/StringRefAddr.java: Add license clarification.

2002-01-22  Tom Tromey  <tromey@redhat.com>

	* java/awt/peer/ButtonPeer.java: Replace with Classpath version.
	* java/awt/peer/CanvasPeer.java: Replace with Classpath version.
	* java/awt/peer/CheckboxMenuItemPeer.java: Replace with Classpath
	version.
	* java/awt/peer/CheckboxPeer.java: Replace with Classpath version.
	* java/awt/peer/ChoicePeer.java: Replace with Classpath version.
	* java/awt/peer/ComponentPeer.java: Replace with Classpath version.
	* java/awt/peer/ContainerPeer.java: Replace with Classpath version.
	* java/awt/peer/DialogPeer.java: Replace with Classpath version.
	* java/awt/peer/FileDialogPeer.java: Replace with Classpath version.
	* java/awt/peer/FontPeer.java: Replace with Classpath version.
	* java/awt/peer/FramePeer.java: Replace with Classpath version.
	* java/awt/peer/LabelPeer.java: Replace with Classpath version.
	* java/awt/peer/LightweightPeer.java: Replace with Classpath version.
	* java/awt/peer/ListPeer.java: Replace with Classpath version.
	* java/awt/peer/MenuBarPeer.java: Replace with Classpath version.
	* java/awt/peer/MenuComponentPeer.java: Replace with Classpath version.
	* java/awt/peer/MenuItemPeer.java: Replace with Classpath version.
	* java/awt/peer/MenuPeer.java: Replace with Classpath version.
	* java/awt/peer/PanelPeer.java: Replace with Classpath version.
	* java/awt/peer/PopupMenuPeer.java: Replace with Classpath version.
	* java/awt/peer/ScrollPanePeer.java: Replace with Classpath version.
	* java/awt/peer/ScrollbarPeer.java: Replace with Classpath version.
	* java/awt/peer/TextAreaPeer.java: Replace with Classpath version.
	* java/awt/peer/TextComponentPeer.java: Replace with Classpath version.
	* java/awt/peer/TextFieldPeer.java: Replace with Classpath version.
	* java/awt/peer/WindowPeer.java: Replace with Classpath version.
	* gnu/awt/xlib/XPanelPeer.java (insets): New method.
	* gnu/awt/xlib/XCanvasPeer.java (show, hide): New methods.
	(minimumSize, preferredSize, reshape): Likewise.
	* gnu/awt/xlib/XFramePeer.java (insets, enable, disable,
	getColorModel): New methods.
	* java/awt/PopupMenu.java: Merged with Classpath.
	* java/awt/MenuBar.java: Merged with Classpath.
	* java/awt/SystemColor.java: Replace with Classpath version.
	* java/awt/Panel.java: Merged with Classpath.
	* java/awt/PaintContext.java: Updated copyright.
	* java/awt/MenuShortcut.java: Merged with Classpath.
	* java/awt/MenuContainer.java: Merged with Classpath.
	* java/awt/Menu.java: Merged with Classpath.
	* java/awt/MediaEntry.java: New file from Classpath.
	* java/awt/MediaTracker.java: New file from Classpath.
	* java/awt/List.java: Merged with Classpath version.
	* java/awt/Insets.java: Merged with Classpath version.
	* java/awt/ImageMediaEntry.java: New file from Classpath.
	* java/awt/Image.java: Replaced with Classpath version.
	* java/awt/FontMetrics.java: Merged with Classpath version.
	* java/awt/Cursor.java (getDefaultCursor): Use DEFAULT_CURSOR
	constant.
	* java/awt/Font.java: Merged with Classpath version.
	* java/awt/Dialog.java: Merged with Classpath version.
	* java/awt/Color.java: Merged with Classpath version.
	* java/awt/Choice.java: Merged with Classpath version.
	* java/awt/CheckboxMenuItem.java: Merged with Classpath version.
	* java/awt/Adjustable.java: Replace with Classpath version.
	* java/awt/MenuItem.java (paramString): Don't include class name
	or brackets.  Call superclass paramString.
	* java/awt/MenuComponent.java (toString): Call paramString.
	(paramString): Compute string; don't call toString.
	* java/awt/Label.java (paramString): Don't include class name
	or brackets.  Call superclass paramString.
	* java/awt/Checkbox.java (paramString): Don't include class name
	or brackets.  Call superclass paramString.
	* java/awt/Button.java (paramString): Don't include class name or
	brackets.  Call superclass paramString.
	* java/awt/MenuComponent.java (getTreeLock): Now protected.

2002-01-20  Andreas Schwab  <schwab@suse.de>

	* java/net/natPlainSocketImpl.cc (_Jv_recv): Change return type of
	function and of parameter recv_func to ssize_t, as specified by
	POSIX.

2002-01-19  Per Bothner  <per@bothner.com>

	* java/util/zip/ZipOutputStream.java (putNextEntry):  Clear
	uncompressed_size in readiness for next entry.

2002-01-18  Tom Tromey  <tromey@redhat.com>

	* java/net/natPlainSocketImpl.cc: Include
	IllegalArgumentException.h.
	(_Jv_recv): New template function.
	(BooleanClass): Removed.
	(read): Use _Jv_recv.
	(setOption): Use Boolean::class$.  Throw exception if object is
	not Boolean or Integer.

2002-01-17  Tom Tromey  <tromey@redhat.com>

	* java/awt/MenuComponent.java: Merged with Classpath.
	* java/awt/MenuItem.java: Merged with Classpath.
	* java/awt/Button.java: Merged with Classpath.

	* java/awt/ActiveEvent.java: Updated copyright.

	* java/awt/AWTError.java: Replaced with Classpath version.
	* java/awt/AWTException.java: Replaced with Classpath version.
	* java/awt/IllegalComponentStateException.java: Replaced with
	Classpath version.

2002-01-16  Tom Tromey  <tromey@redhat.com>

	* java/awt/Canvas.java (serialVersionUID): New constant.
	Updated copyright.  Added javadoc from Classpath.
	* java/awt/ItemSelectable.java: Replaced with Classpath version.

	* java/awt/CheckboxGroup.java: Merged with Classpath.
	* java/awt/Checkbox.java: Merged with Classpath.

	* java/awt/Dimension.java: Updated copyright.  Added javadoc from
	Classpath.
	* java/awt/Point.java: Updated copyright.

	* java/awt/Point.java (toString): Use getClass().getName().
	Added javadoc.

	* java/util/IdentityHashMap.java (IdentityHashMap): Removed
	commented code.
	(hash): Correctly compute initial value for `h'.

	* java/awt/Label.java: Merged with Classpath.

2002-01-15  Tom Tromey  <tromey@redhat.com>

	* java/awt/AWTPermission.java: Updated copyright.

	* java/awt/LayoutManager2.java: Merged with Classpath.
	* java/awt/LayoutManager.java: Merged with Classpath.
	* java/awt/GridLayout.java: Updated copyright and javadoc.
	(getSize): Use `parent.ncomponents'.  Handle insets.
	(layoutContainer): Use `parent.ncomponents'.  Handle case where
	there are fewer children than columns.  Correctly compute size of
	each cell in the grid.  Handle case where there isn't enough
	space.
	* java/awt/CardLayout.java (tab): Renamed from `map'.  Updated
	all users.
	(gotoComponent): Use parent.ncomponents.  Ensure child exists
	before calling setVisible() on it.  Last item is `num - 1', not
	`num'.
	(layoutContainer): Hoist invariants out of loop.

	Start of AWT merge with Classpath:
	* Makefile.in: Rebuilt.
	* Makefile.am (awt_java_source_files): Reference files in
	gnu/java/awt, not gnu/gcj/awt.
	* java/awt/image/BufferedImage.java: Updated copyright.
	* java/awt/image/ComponentColorModel.java: Updated copyright.
	* java/awt/image/ComponentSampleModel.java: Updated copyright.
	* java/awt/image/DataBuffer.java: Updated copyright.
	* java/awt/image/DataBufferByte.java: Updated copyright.
	* java/awt/image/DataBufferInt.java: Updated copyright.
	* java/awt/image/DataBufferUShort.java: Updated copyright.
	* java/awt/image/IndexColorModel.java: Updated copyright.
	* java/awt/image/PackedColorModel.java: Updated copyright.
	* java/awt/image/Raster.java: Updated copyright.
	* java/awt/image/RasterOp.java: Updated copyright.
	* java/awt/image/SampleModel.java: Updated copyright.
	* java/awt/image/SinglePixelPackedSampleModel.java: Updated copyright.
	* java/awt/image/WritableRaster.java: Updated copyright.
	* java/awt/color/ColorSpace.java: Updated copyright.
	* java/awt/color/ICC_ColorSpace.java: Updated copyright
	* java/awt/color/ICC_Profile.java: Updated copyright.
	* java/awt/event/HierarchyBoundsAdapter.java: Updated copyright.
	* java/awt/event/HierarchyBoundsListener.java: Updated copyright.
	* java/awt/event/HierarchyEvent.java: Updated copyright.
	* java/awt/event/HierarchyListener.java: Updated copyright.
	* java/awt/geom/AffineTransform.java: Updated copyright.
	* java/awt/geom/Dimension2D.java: Updated copyright.
	* java/awt/geom/Ellipse2D.java: Updated copyright.
	* java/awt/geom/IllegalPathStateException.java: Updated copyright.
	* java/awt/geom/Line2D.java: Updated copyright.
	* java/awt/geom/NoninvertibleTransformException.java: Updated
	copyright.
	* java/awt/geom/PathIterator.java: Updated copyright.
	* java/awt/geom/Point2D.java: Updated copyright.
	* java/awt/geom/Rectangle2D.java: Updated copyright.
	* java/awt/geom/RectangularShape.java: Updated copyright.
	* java/awt/geom/RoundRectangle2D.java: Updated copyright.
	* java/awt/Toolkit.java: Updated import for file moves.
	* java/awt/Rectangle.java: Updated copyright; added javadoc from
	Classpath.
	(hashCode): New method from Classpath.
	* java/awt/Graphics2D.java: Updated copyright.
	* java/awt/Transparency.java: Updated copyright.
	* java/awt/Paint.java: Updated copyright.
	* java/awt/Graphics.java: New version from Classpath.
	* java/awt/EventDispatchThread.java: Updated copyright.
	* java/awt/CardLayout.java (layoutContainer): Don't skip invisible
	children.
	(gotoComponent): Wrap around on next/previous.
	* gnu/gcj/awt/BitMaskExtent.java: Removed.
	* gnu/gcj/awt/Buffers.java: Removed.
	* gnu/gcj/awt/ComponentDataBlitOp.java: Removed.
	* gnu/gcj/awt/GLightweightPeer.java: Removed.
	* gnu/java/awt/BitMaskExtent.java: Added.
	* gnu/java/awt/Buffers.java: Added.
	* gnu/java/awt/ComponentDataBlitOp.java: Added.
	* gnu/java/awt/GLightweightPeer.java: Added.
	* java/awt/geom/Line2D.java (clone): Ignore
	CloneNotSupportedException.
	* gnu/gcj/awt/GLightweightPeer.java (getColorModel): New method.
	* java/awt/Frame.java: Merged with Classpath.
	* java/awt/RenderingHints.java: Copyright update.
	* java/awt/Paint.java: Copyright update.
	* java/awt/image/DirectColorModel.java: Merged with Classpath.
	* java/awt/image/ColorModel.java: Merged with Classpath.
	* java/awt/Window.java (show): New Implementation from Classpath.
	(isShowing): Use super.isShowing().
	* java/awt/EventQueue.java: Merged with Classpath.
	* java/awt/AWTEventMulticaster.java (save): Throw
	RuntimeException.
	(saveInternal): Likewise.
	* java/awt/AWTEvent.java: Now implements Serializable.
	* java/awt/Event.java: Copyright update.
	* java/awt/peer/ComponentPeer.java: Merged with Classpath.
	* java/awt/image/BufferedImage.java: Copyright update.
	* java/awt/GraphicsConfiguration.java: Copyright update.
	* java/awt/Component.java: (addNotify): Don't call
	addNotifyContainerChildren().
	(addNotifyContainerChildren): Removed.
	(setPeer): New method from Classpath.
	(setTreeLock): Likewise.
	(setVisible): Rewrote.
	(show): Use it.
	(hide): Likewise.
	(validate): Set `valid'.
	(checkImage(Image,ImageObserver)): Implementation from Classpath.
	(createImage(ImageProducer)): Likewise.
	(prepareImage): Likewise.
	* java/awt/Container.java (addImpl): Handle case where constraint
	is not a String.  Post event via system event queue.
	(remove): Post event via system event queue.
	(validateTree): Only validate child if it is invalid.
	(getAlignmentX): Call super method as default.
	(getAlignmentY): Likewise.
	(addContainerListener): Now synchronized.
	(removeContainerListener): Likewise.
	(addNotifyContainerChildren): Now private.
	* java/awt/ComponentOrientation.java: Updated copyright.  Added
	@author.
	* java/awt/FlowLayout.java (serialVersionUID): New field.
	(setAlignment): Better exception message.
	(layoutContainer): Don't compute component's preferred size unless
	we're going to use it.
	* java/awt/BorderLayout.java (AFTER_LAST_LINE, AFTER_LINE_ENDS,
	BEFORE_FIRST_LINE, BEFORE_LINE_BEGINS): New constants.
	(firstLine, lastLine, firstItem, lastItem): New fields.
	(addLayoutComponent): Handle case where constraints is null.
	Also, handle relative locations.
	(removeLayoutComponent): Handle relative locations.
	(MIN, MAX, PREF): New constants.
	(calcCompSize): New method.
	(calcSize): New method.
	(minimumLayoutSize): Use it.
	(preferredLayoutSize): Likewise.
	(maximumLayoutSize): Likewise.
	(toString): Include more information.
	(setBounds): New method.
	(layoutContainer): Use libgcj implementation; extended to handle
	relative locations.

2002-01-15  Tom Tromey  <tromey@redhat.com>

	* java/lang/Float.java (equals): Preserve old code.
	* java/lang/Double.java (equals): Preserve old code.

2002-01-15  Eric Blake  <ebb9@email.byu.edu>

	* java/lang/Double.java (equals, compare): Fix 0.0 vs. -0.0 math.
	* java/lang/Float.java (equals, compare): Ditto.

2002-01-13  Mark Wielaard  <mark@klomp.org>

	* java/net/DatagramSocket.java (getReceiveBufferSize): new 1.2 method.
	* java/net/DatagramSocket.java (getSendBufferSize): Likewise.
	* java/net/DatagramSocket.java (setReceiveBufferSize): Likewise.
	* java/net/DatagramSocket.java (setSendBufferSize): Likewise.

2002-01-11  Mark Wielaard  <mark@klomp.org>

	* java/net/InetAddress.java (ANY_IF): moved from ServerSocket.
	* java/net/DatagramSocket.java (DatagramSocket): use ANY_IF from
	InetAddress.
	* java/net/MulticastSocket.java (MulticastSocket): Likewise.
	* java/net/Socket.java: Merge with Classpath.
	* java/net/ServerSocket.java: Likewise.

2002-01-11  Chris Sears  <cbsears_sf@yahoo.com>

	* interpret.cc (NULLARRAYCHECK): New macro.
	(SAVE_PC): Just store `pc'.
	(find_exception): Subtract one from `pc' here.
	(continue1) [insn_iaload, insn_laload, insn_faload, insn_daload,
	insn_aaload, insn_baload, insn_caload, insn_saload, insn_iastore,
	insn_lastore, insn_fastore, insn_dastore, insn_aastore,
	insn_bastore, insn_castore, insn_sastore]: Use NULLARRAYCHECK, and
	don't call SAVE_PC.
	(continue1) [insn_fdiv, insn_ddiv, insn_frem, insn_drem]: Don't
	call SAVE_PC.

2002-01-11  Tom Tromey  <tromey@redhat.com>

	* java/lang/natSystem.cc (init_properties): Only look for default
	locale if LC_MESSAGES is defined.
	* aclocal.m4, configure, include/config.h.in: Rebuilt.
	* configure.in: Call AM_LC_MESSAGES.
	* acinclude.m4 (AM_LC_MESSAGES): New macro.

2002-01-10  Tom Tromey  <tromey@redhat.com>

	For PR libgcj/5303:
	* gnu/java/rmi/rmic/RMIC.java (parseOptions): Handle --help and
	--version.  Recognize GNU-style long options.  Print GNU-style
	error messages.
	(usage): Print GNU-style help.  Exit with status 0.
	(error): New method.
	(run): Print error message if no class names found.
	(main): Don't print usage on error.

2002-01-09  Tom Tromey  <tromey@redhat.com>

	* gnu/gcj/convert/Convert.java (version): Use java.vm.name
	property.
	(help, version): Use println(), not println("").

	For PR libgcj/5303:
	* gnu/gcj/convert/Convert.java (error): Program is called
	`jv-convert'.  Print GNU-style message.  Exit with status 1, not
	-1.
	(main): Handle --help and --version.
	(help): New method.
	(version): Likewise.

2002-01-08  Tom Tromey  <tromey@redhat.com>

	* Makefile.in: Rebuilt.
	* Makefile.am (ordinary_java_source_files): Added new files.
	* gnu/java/locale/LocaleInformation.java: Extend
	LocaleInformation_en.
	* gnu/java/locale/LocaleInformation_en.java: Added zone strings
	and time/date formats.
	* gnu/java/locale/LocaleInformation_en_US.java: Now automatically
	generated.
	* gnu/java/locale/LocaleInformation_af_ZA.java: New file.
	* gnu/java/locale/LocaleInformation_ar_AE.java: New file.
	* gnu/java/locale/LocaleInformation_ar_BH.java: New file.
	* gnu/java/locale/LocaleInformation_ar_DZ.java: New file.
	* gnu/java/locale/LocaleInformation_ar_EG.java: New file.
	* gnu/java/locale/LocaleInformation_ar_IN.java: New file.
	* gnu/java/locale/LocaleInformation_ar_IQ.java: New file.
	* gnu/java/locale/LocaleInformation_ar_JO.java: New file.
	* gnu/java/locale/LocaleInformation_ar_KW.java: New file.
	* gnu/java/locale/LocaleInformation_ar_LB.java: New file.
	* gnu/java/locale/LocaleInformation_ar_LY.java: New file.
	* gnu/java/locale/LocaleInformation_ar_MA.java: New file.
	* gnu/java/locale/LocaleInformation_ar_OM.java: New file.
	* gnu/java/locale/LocaleInformation_ar_QA.java: New file.
	* gnu/java/locale/LocaleInformation_ar_SD.java: New file.
	* gnu/java/locale/LocaleInformation_ar_SY.java: New file.
	* gnu/java/locale/LocaleInformation_ar_TN.java: New file.
	* gnu/java/locale/LocaleInformation_ar_YE.java: New file.
	* gnu/java/locale/LocaleInformation_be_BY.java: New file.
	* gnu/java/locale/LocaleInformation_bn_IN.java: New file.
	* gnu/java/locale/LocaleInformation_br_FR.java: New file.
	* gnu/java/locale/LocaleInformation_bs_BA.java: New file.
	* gnu/java/locale/LocaleInformation_ca_ES.java: New file.
	* gnu/java/locale/LocaleInformation_cs_CZ.java: New file.
	* gnu/java/locale/LocaleInformation_cy_GB.java: New file.
	* gnu/java/locale/LocaleInformation_da_DK.java: New file.
	* gnu/java/locale/LocaleInformation_de_AT.java: New file.
	* gnu/java/locale/LocaleInformation_de_BE.java: New file.
	* gnu/java/locale/LocaleInformation_de_CH.java: New file.
	* gnu/java/locale/LocaleInformation_de_DE.java: New file.
	* gnu/java/locale/LocaleInformation_de_LU.java: New file.
	* gnu/java/locale/LocaleInformation_el_GR.java: New file.
	* gnu/java/locale/LocaleInformation_en_AU.java: New file.
	* gnu/java/locale/LocaleInformation_en_BW.java: New file.
	* gnu/java/locale/LocaleInformation_en_CA.java: New file.
	* gnu/java/locale/LocaleInformation_en_DK.java: New file.
	* gnu/java/locale/LocaleInformation_en_GB.java: New file.
	* gnu/java/locale/LocaleInformation_en_HK.java: New file.
	* gnu/java/locale/LocaleInformation_en_IE.java: New file.
	* gnu/java/locale/LocaleInformation_en_IN.java: New file.
	* gnu/java/locale/LocaleInformation_en_NZ.java: New file.
	* gnu/java/locale/LocaleInformation_en_PH.java: New file.
	* gnu/java/locale/LocaleInformation_en_SG.java: New file.
	* gnu/java/locale/LocaleInformation_en_ZA.java: New file.
	* gnu/java/locale/LocaleInformation_en_ZW.java: New file.
	* gnu/java/locale/LocaleInformation_es_AR.java: New file.
	* gnu/java/locale/LocaleInformation_es_BO.java: New file.
	* gnu/java/locale/LocaleInformation_es_CL.java: New file.
	* gnu/java/locale/LocaleInformation_es_CO.java: New file.
	* gnu/java/locale/LocaleInformation_es_CR.java: New file.
	* gnu/java/locale/LocaleInformation_es_DO.java: New file.
	* gnu/java/locale/LocaleInformation_es_EC.java: New file.
	* gnu/java/locale/LocaleInformation_es_ES.java: New file.
	* gnu/java/locale/LocaleInformation_es_GT.java: New file.
	* gnu/java/locale/LocaleInformation_es_HN.java: New file.
	* gnu/java/locale/LocaleInformation_es_MX.java: New file.
	* gnu/java/locale/LocaleInformation_es_NI.java: New file.
	* gnu/java/locale/LocaleInformation_es_PA.java: New file.
	* gnu/java/locale/LocaleInformation_es_PE.java: New file.
	* gnu/java/locale/LocaleInformation_es_PR.java: New file.
	* gnu/java/locale/LocaleInformation_es_PY.java: New file.
	* gnu/java/locale/LocaleInformation_es_SV.java: New file.
	* gnu/java/locale/LocaleInformation_es_US.java: New file.
	* gnu/java/locale/LocaleInformation_es_UY.java: New file.
	* gnu/java/locale/LocaleInformation_es_VE.java: New file.
	* gnu/java/locale/LocaleInformation_et_EE.java: New file.
	* gnu/java/locale/LocaleInformation_eu_ES.java: New file.
	* gnu/java/locale/LocaleInformation_fa_IR.java: New file.
	* gnu/java/locale/LocaleInformation_fi_FI.java: New file.
	* gnu/java/locale/LocaleInformation_fo_FO.java: New file.
	* gnu/java/locale/LocaleInformation_fr_BE.java: New file.
	* gnu/java/locale/LocaleInformation_fr_CA.java: New file.
	* gnu/java/locale/LocaleInformation_fr_CH.java: New file.
	* gnu/java/locale/LocaleInformation_fr_FR.java: New file.
	* gnu/java/locale/LocaleInformation_fr_LU.java: New file.
	* gnu/java/locale/LocaleInformation_ga_IE.java: New file.
	* gnu/java/locale/LocaleInformation_gd_GB.java: New file.
	* gnu/java/locale/LocaleInformation_gl_ES.java: New file.
	* gnu/java/locale/LocaleInformation_gv_GB.java: New file.
	* gnu/java/locale/LocaleInformation_he_IL.java: New file.
	* gnu/java/locale/LocaleInformation_hi_IN.java: New file.
	* gnu/java/locale/LocaleInformation_hr_HR.java: New file.
	* gnu/java/locale/LocaleInformation_hu_HU.java: New file.
	* gnu/java/locale/LocaleInformation_id_ID.java: New file.
	* gnu/java/locale/LocaleInformation_it_CH.java: New file.
	* gnu/java/locale/LocaleInformation_it_IT.java: New file.
	* gnu/java/locale/LocaleInformation_iw_IL.java: New file.
	* gnu/java/locale/LocaleInformation_ja_JP.java: New file.
	* gnu/java/locale/LocaleInformation_ka_GE.java: New file.
	* gnu/java/locale/LocaleInformation_kl_GL.java: New file.
	* gnu/java/locale/LocaleInformation_ko_KR.java: New file.
	* gnu/java/locale/LocaleInformation_kw_GB.java: New file.
	* gnu/java/locale/LocaleInformation_lt_LT.java: New file.
	* gnu/java/locale/LocaleInformation_lv_LV.java: New file.
	* gnu/java/locale/LocaleInformation_mi_NZ.java: New file.
	* gnu/java/locale/LocaleInformation_mk_MK.java: New file.
	* gnu/java/locale/LocaleInformation_mr_IN.java: New file.
	* gnu/java/locale/LocaleInformation_mt_MT.java: New file.
	* gnu/java/locale/LocaleInformation_nl_BE.java: New file.
	* gnu/java/locale/LocaleInformation_nl_NL.java: New file.
	* gnu/java/locale/LocaleInformation_nn_NO.java: New file.
	* gnu/java/locale/LocaleInformation_no_NO.java: New file.
	* gnu/java/locale/LocaleInformation_oc_FR.java: New file.
	* gnu/java/locale/LocaleInformation_pl_PL.java: New file.
	* gnu/java/locale/LocaleInformation_pt_BR.java: New file.
	* gnu/java/locale/LocaleInformation_pt_PT.java: New file.
	* gnu/java/locale/LocaleInformation_ro_RO.java: New file.
	* gnu/java/locale/LocaleInformation_ru_RU.java: New file.
	* gnu/java/locale/LocaleInformation_ru_UA.java: New file.
	* gnu/java/locale/LocaleInformation_se_NO.java: New file.
	* gnu/java/locale/LocaleInformation_sk_SK.java: New file.
	* gnu/java/locale/LocaleInformation_sl_SI.java: New file.
	* gnu/java/locale/LocaleInformation_sq_AL.java: New file.
	* gnu/java/locale/LocaleInformation_sr_YU.java: New file.
	* gnu/java/locale/LocaleInformation_sv_FI.java: New file.
	* gnu/java/locale/LocaleInformation_sv_SE.java: New file.
	* gnu/java/locale/LocaleInformation_ta_IN.java: New file.
	* gnu/java/locale/LocaleInformation_te_IN.java: New file.
	* gnu/java/locale/LocaleInformation_tg_TJ.java: New file.
	* gnu/java/locale/LocaleInformation_tl_PH.java: New file.
	* gnu/java/locale/LocaleInformation_tr_TR.java: New file.
	* gnu/java/locale/LocaleInformation_uk_UA.java: New file.
	* gnu/java/locale/LocaleInformation_ur_PK.java: New file.
	* gnu/java/locale/LocaleInformation_uz_UZ.java: New file.
	* gnu/java/locale/LocaleInformation_vi_VN.java: New file.
	* gnu/java/locale/LocaleInformation_yi_US.java: New file.
	* gnu/java/locale/LocaleInformation_zh_CN.java: New file.
	* gnu/java/locale/LocaleInformation_zh_HK.java: New file.
	* gnu/java/locale/LocaleInformation_zh_SG.java: New file.
	* gnu/java/locale/LocaleInformation_zh_TW.java: New file.

	For PR libgcj/5031:
	* java/lang/natSystem.cc (init_properties): Use LC_MESSAGES to
	choose default locale.

	* Makefile.in: Rebuilt.
	* Makefile.am (jv_convert_LDADD): Removed convert_source_files.

2002-01-08  Nic Ferrier  <nferrier@tf1.tapsellferrier.co.uk> 

	* java/net/natPlainSocketImpl.cc: Added timeout handling for
	sockets.
	(close): New function closes the socket.
	(write): New functions for output to socket.
	(read): New functions for reading from socket.
	* java/net/PlainSocketImpl.java: Glue for new timeout
	implementation.
	(write): Call the native impl.
	(read): Likewise.
	(getInputStream): Get a stream to read from the socket.
	(getOutputStream): Get a stream to write to the socket.

2002-01-08  Tom Tromey  <tromey@redhat.com>

	* resolve.cc (_Jv_PrepareClass): Enable verifier.

2002-01-07  Andreas Tobler <a.tobler@schweiz.ch>

	* java/lang/reflect/natMethod.cc: Don't include alloca.h.
	(_Jv_CallAnyMethodA): Convert alloca to __builtin_alloca.

2002-01-08  Chris Sears  <cbsears_sf@yahoo.com>

	* interpret.cc (ARRAYBOUNDSCHECK): New macro.
	(continue1) [insn_iaload, insn_laload, insn_faload, insn_daload,
	insn_aaload, insn_baload, insn_caload, insn_saload, insn_iastore,
	insn_lastore, insn_fastore, insn_dastore, insn_aastore,
	insn_bastore, insn_castore, insn_sastore]: Use it.
	(continue1) [insn_arraylength]: Check for null array.

2002-01-06 Andreas Tobler <a.tobler@schweiz.ch>

	* configure, include/config.h.in: Rebuilt.
	* java/lang/natSystem.cc (getSystemTimeZone): Check HAVE_TM_ZONE.
	* configure.in: Call AC_STRUCT_TIMEZONE.

2002-01-02 Andreas Tobler <a.tobler@schweiz.ch>

	* configure.host: Disable the interpreter for Darwin.

2002-01-04  Tom Tromey  <tromey@redhat.com>

	* java/lang/Thread.java (stop): No longer synchronized.
	(start): Likewise.

2002-01-02  Tom Tromey  <tromey@redhat.com>

	* java/lang/ieeefp.h: Fix bug in my hand-application of previous
	patch.

2002-1-1  Andrew Pinski  <pinskia@physics.uc.edu>

	* libjava/java/lang/ieeefp.h: Define __IEEE_BIG_ENDIAN for
	PPC Darwin, not for all of Darwin.

